// f46c8616-0b27-403e-83e0-d37e57c6dc7d

function NeutrinoEffect(ctx) {

	var Db = this;

	var ne = function (Ld, Bd) {
		this.Ld = Ld;
		this.Bd = Bd;

		if (this.Bd.we.pe.length > 0) {
			this.we = this.Bd.we.pe[0];

			this.Lc = [ne.prototype.Ec,
				ne.prototype.Fc][this.we.xe];
		}
		else
			this.we = null;
	}

	ne.prototype = {
		Ec: function (fe, Ab, Xb) {
			var Gc = ctx.ib(Xb.Md);
			var Hc = Math.cos(Gc);
			var Ic = Math.sin(Gc);
			var ye = ctx.Ae(Xb.Nd[0]);
			var ze = ctx.Ae(Xb.Nd[1]);
			fe./**/transform(ye * Hc, ye * Ic, ze * -Ic, ze * Hc, Ab[0], Ab[1]);
		},

		Fc: function (fe, Ab, Xb) {
			var q = Xb.Mc;
			var z2 = 2.0 * q[2] * q[2];
			var xy = 2.0 * q[0] * q[1];
			var wz = 2.0 * q[3] * q[2];
			var ye = ctx.Ae(Xb.Nd[0]);
			var ze = ctx.Ae(Xb.Nd[1]);
			fe./**/transform(
				ye * (1.0 - 2.0 * q[1] * q[1] - z2),
				ye * (xy + wz),
				ze * (wz - xy),
				ze * (2.0 * q[0] * q[0] + z2 - 1.0),
				Ab[0], Ab[1]);
		},

		Pc: function (fe, Xb, ge) {
			Xb.vc(fe, -1, ge);

			if (this.we) {

				if (this.Be != null && !Xb.oc) {

					if (Xb.Od > 0.001) {
						var De = Math.floor(Xb.Qc % this.we.Rc);
						var Ee = Math.floor(Xb.Qc / this.we.Rc);

						var Ab = Xb.Ab.slice();
						var Nd = Xb.Nd.slice();
						if (!ge || ge./**/transform(Ab, Nd)) {

							var df = Math.abs(Nd[0]);
							var ef = Math.abs(Nd[1]);

							if (df > 0.001 && ef > 0.001) {
								fe.save();
								this.Lc(fe, Ab, Xb);

								fe.translate(-df * Xb.Pd[0], -ef * (1 - Xb.Pd[1]));
								fe.globalAlpha = Xb.Od;

								if (Xb.gf[0] < 0.999 || Xb.gf[1] < 0.999 || Xb.gf[2] < 0.999) {

									var Ye = df < this.Tc ? df : this.Tc;
									var Ze = ef < this.Uc ? ef : this.Uc;

									ctx.af(Ye, Ze);

									ctx.bf.globalCompositeOperation = "copy";
									ctx.bf.drawImage(this.Be.image,
										this.Be.x + this.Tc * De, this.Be.y + this.Uc * Ee,
										this.Tc, this.Uc,
										0, 0, Ye, Ze);

									ctx.bf.globalCompositeOperation = "multiply";
									ctx.bf.fillStyle = ctx.ff(Xb.gf);
									ctx.bf.fillRect(0, 0, Ye, Ze);

									ctx.bf.globalCompositeOperation = "destination-atop";
									ctx.bf.drawImage(this.Be.image,
										this.Be.x + this.Tc * De, this.Be.y + this.Uc * Ee,
										this.Tc, this.Uc,
										0, 0, Ye, Ze);

									fe.drawImage(ctx.cf, 0, 0, Ye, Ze, 0, 0, df, ef);
								}
								else {
									fe.drawImage(this.Be.image,
										this.Be.x + this.Tc * De, this.Be.y + this.Uc * Ee,
										this.Tc, this.Uc, 0, 0, df, ef);
								}

								fe.restore();
							}
						}
					}
				}
			}

			Xb.vc(fe, 1, ge);
		},

		Hd: function (fe, ge) {
			fe.save();

			if (this.we) {
				fe.globalCompositeOperation = this.Ld.materials[this.Ld./**/model.renderStyles[this.we.renderStyleIndex].materialIndex];
				this.Be = this.Ld.textureDescs[this.Ld./**/model.renderStyles[this.we.renderStyleIndex].textureIndices[0]];
			}
			else {
				this.Be = null;
			}

			if (this.Be) {
				this.Tc = this.Be.width / this.we.Rc;
				this.Uc = this.Be.height / this.we.Sc;
			}

			function kd(a, b) {
				if (a.Ab[2] < b.Ab[2])
					return 1;
				if (a.Ab[2] > b.Ab[2])
					return -1;
				return 0;
			}

			switch (this.Bd.Vc) {
				case 0:
					for (var Wb = 0; Wb < this.Bd.tc.length; ++Wb) {
						this.Pc(fe, this.Bd.tc[Wb], ge);
					}
					break;
				case 1:
					for (var Wb = this.Bd.tc.length; Wb-- > 0;) {
						this.Pc(fe, this.Bd.tc[Wb], ge);
					}
					break;
				case 2:
					this.Bd.tc.sort(kd);

					for (var Wb = 0; Wb < this.Bd.tc.length; ++Wb) {
						this.Pc(fe, this.Bd.tc[Wb], ge);
					}
					break;
			}

			fe.restore();
		}
	}

	var oe = function (Ld, Bd) {

		this.Ld = Ld;
		this.Bd = Bd;

		if (this.Bd.we.pe.length > 0)
			this.we = this.Bd.we.pe[0];
		else
			this.we = null;

		this.vertex = [
			{ /**/position: [0.0, 0.0, 0.0], /**/color: [0, 0, 0, 0], /**/texCoords: [[0.0, 0.0]] },
			{ /**/position: [0.0, 0.0, 0.0], /**/color: [0, 0, 0, 0], /**/texCoords: [[0.0, 0.0]] },
			{ /**/position: [0.0, 0.0, 0.0], /**/color: [0, 0, 0, 0], /**/texCoords: [[0.0, 0.0]] },
			{ /**/position: [0.0, 0.0, 0.0], /**/color: [0, 0, 0, 0], /**/texCoords: [[0.0, 0.0]] }];
	}

	oe.prototype = {
		qe: function (Xb, se, re, te, renderBuffer) {
			Xb.Ce(-1, se, re, te, renderBuffer);

			if (this.we) {

				if (!Xb.oc) {

					var v0 = this.vertex[0];
					var v1 = this.vertex[1];
					var v2 = this.vertex[2];
					var v3 = this.vertex[3];

					var Fe = [], Ge = [];

					if (this.we.xe == 0) {
						var a = ctx.ib(Xb.Md);
						var s = Math.sin(a);
						var c = Math.cos(a);

						Fe[0] = se[0] * c + re[0] * s;
						Fe[1] = se[1] * c + re[1] * s;
						Fe[2] = se[2] * c + re[2] * s;

						Ge[0] = -se[0] * s + re[0] * c;
						Ge[1] = -se[1] * s + re[1] * c;
						Ge[2] = -se[2] * s + re[2] * c;
					}
					else {
						var q = Xb.Mc;
						var z2 = 2.0 * q[2] * q[2];
						var xy = 2.0 * q[0] * q[1];
						var wz = 2.0 * q[3] * q[2];

						Fe[0] = 1.0 - 2.0 * q[1] * q[1] - z2;
						Fe[1] = xy + wz;
						Fe[2] = 2.0 * q[0] * q[2] - 2.0 * q[3] * q[1];

						Ge[0] = xy - wz;
						Ge[1] = 1.0 - 2.0 * q[0] * q[0] - z2;
						Ge[2] = 2.0 * q[1] * q[2] + 2.0 * q[3] * q[0];
					}

					var He = [], Ie = [], Je = [], Ke = [];
					ctx.u(He, Fe, -Xb.Nd[0] * Xb.Pd[0]);
					ctx.u(Ie, Fe, Xb.Nd[0] * (1.0 - Xb.Pd[0]));
					ctx.u(Je, Ge, -Xb.Nd[1] * Xb.Pd[1]);
					ctx.u(Ke, Ge, Xb.Nd[1] * (1.0 - Xb.Pd[1]));

					ctx.c(v0./**/position, He, Je);
					ctx.c(v0./**/position, v0./**/position, Xb.Ab);
					ctx.c(v1./**/position, He, Ke);
					ctx.c(v1./**/position, v1./**/position, Xb.Ab);
					ctx.c(v2./**/position, Ie, Ke);
					ctx.c(v2./**/position, v2./**/position, Xb.Ab);
					ctx.c(v3./**/position, Ie, Je);
					ctx.c(v3./**/position, v3./**/position, Xb.Ab);

					{
						var rgb = ctx.v(Xb.gf, 255);
						v0./**/color = v1./**/color = v2./**/color = v3./**/color = [rgb[0], rgb[1], rgb[2], Xb.Od * 255];
					}

					{
						var De = Math.floor(Xb.Qc % this.we.Rc);
						var Ee = Math.floor(Xb.Qc / this.we.Rc);

						var Pe, Qe, Re, Se;

						var We = this.Ld.texturesRemap[this.Ld./**/model.renderStyles[this.we.renderStyleIndex].textureIndices[0]];
						if (We) {
							var Ue = We.width / this.we.Rc;
							var Ve = We.height / this.we.Sc;

							var Pe = We.x + De * Ue;
							var Qe = Pe + Ue;
							var Re = (We.y + We.height - Ee * Ve);
							var Se = Re - Ve;
						} else {
							var Ue = 1.0 / this.we.Rc;
							var Ve = 1.0 / this.we.Sc;

							var Pe = De * Ue;
							var Qe = Pe + Ue;
							var Re = (1.0 - Ee * Ve);
							var Se = Re - Ve;
						}

						v0./**/texCoords[0] = [Pe, Se];
						v1./**/texCoords[0] = [Pe, Re];
						v2./**/texCoords[0] = [Qe, Re];
						v3./**/texCoords[0] = [Qe, Se];
					}

					renderBuffer.pushVertex(v0);
					renderBuffer.pushVertex(v1);
					renderBuffer.pushVertex(v2);
					renderBuffer.pushVertex(v3);

					if (!renderBuffer.__lastRenderCall) {
						renderBuffer.__lastRenderCall = new ctx.RenderCall(0, 6, this.we.renderStyleIndex);
					} else {
						var lastRenderCall = renderBuffer.__lastRenderCall;

						if (lastRenderCall.renderStyleIndex == this.we.renderStyleIndex) {
							lastRenderCall.numIndices += 6;
						} else {
							renderBuffer.pushRenderCall(lastRenderCall);
							renderBuffer.__lastRenderCall = new ctx.RenderCall(
								lastRenderCall.startIndex + lastRenderCall.numIndices,
								6, this.we.renderStyleIndex);
						}
					}
				}
			}

			Xb.Ce(1, se, re, te, renderBuffer);
		},

		ue: function (se, re, te, renderBuffer) {
			switch (this.Bd.Vc) {
				case 0:
					for (var Wb = 0; Wb < this.Bd.tc.length; ++Wb) {
						this.qe(this.Bd.tc[Wb], se, re, te, renderBuffer);
					}
					break;

				case 1:
					for (var Wb = this.Bd.tc.length; Wb-- > 0;) {
						this.qe(this.Bd.tc[Wb], se, re, te, renderBuffer);
					}
					break;

				case 2:
					this.Bd.tc.forEach(function (Xb) {
						Xb.depth = ctx.H(te, Xb.Ab);
					});

					this.Bd.tc.sort(function (a, b) {
						if (a.depth < b.depth)
							return 1;
						if (a.depth > b.depth)
							return -1;
						return 0;
					});

					this.Bd.tc.forEach(function (Xb) {
						this.qe(Xb, se, re, te, renderBuffer);
					}, this);
					break;
			}
		}
	}

	var ld = function (Ld, we, ve) {
		var Vb = this;
		this.Ld = Ld;
		this.we = we;

		// Eb

		function Eb() {
			this.Fb = 0;
			this.Gb = 1;
			this.Hb = null;
			this.Ib = null;
			this.Kb = 0;
			this.Lb = 1;

			Vb.we.Mb(this); // IMPL

			this.Nb = function () {
				this.Ob = this.Gb;
				this.Fb = 0;
			}

			this.Nb();
		}

		Eb.prototype = {
			Jd: function () {
				this.Nb();
			},

			Id: function (Qb, Ab, Mc) {
				Vb.we.Pb(Qb, Vb, this); // IMPL

				var Rb = Vb.Rb;
				var systemTime = Ld.Rb;
				var Sb = Qb;
				var ic = 0;

				if (this.zb > 0.000001) {

					var Tb = this.Ob + Qb * this.zb;

					while (Tb >= 1.0) {
						var Ub = this.zb < 0.001 ? 0.0 : (1.0 - this.Ob) / this.zb;
						Sb -= Ub;
						Rb += Ub;
						systemTime += Ub;

						if (this.Hb != null && Rb > this.Hb) {
							Vb.disactivate();
							break;
						}

						Vb.Rb = Rb;
						Ld.Rb = systemTime;

						if (Ab && Qb > 0)
							ctx.ab(Vb.Ab, Ab, Vb.Bb, Sb / Qb);

						if (Mc && Qb > 0)
							ctx.slerpq(Vb.Mc, Mc, Vb.prevRotation, Sb / Qb);

						// for the future when Jb would be external
						this.Lb = this.Jb;

						for (var Wb = 0; Wb < this.Jb; ++Wb) {
							if (Vb.sc.length == 0)
								break;

							if (this.Jb == 1)
								this.Kb = 0;
							else
								this.Kb = Wb / (this.Jb - 1);

							var Xb = Vb.sc.pop();
							Vb.tc.unshift(Xb);

							if (Wb == 0)
								Xb.Yb();
							else
								Xb.Zb();

							Xb.Id(Sb);
							++ic;
						}

						this.Ob = 0.0;
						Tb -= 1.0;

						if (this.Ib != null && ++this.Fb >= this.Ib) {
							Vb.disactivate();
							break;
						}
					}

					this.Ob = Tb;
				}
				Rb += Sb;
				Vb.Rb = Rb;

				if (Ab)
					ctx.T(Vb.Ab, Ab);

				if (Mc)
					ctx.T(Vb.Mc, Mc);

				return ic;
			}
		}

		// ac

		function ac() {
			this.Gb = 1;
			this.Kb = 0;
			this.Lb = 1;

			Vb.we.Mb(this); // IMPL

			this.Nb = function () {
				this.bc = this.Gb;
			}

			this.Nb();
		}

		ac.prototype = {
			Jd: function () {
				this.Nb();
			},

			Id: function (Qb, Ab, Mc) {
				Vb.we.Pb(Qb, Vb, this); // IMPL

				var cc = Vb.Rb;
				var dc = cc + Qb;
				var systemTimeBeforeFrame = Ld.Rb;
				var systemTimeAfterFrame = systemTimeBeforeFrame + Qb;
				var ec = Ab ? ctx.O(ctx.h(Ab, Vb.Bb)) : 0;
				var ic = 0;

				if (ec > 0.000001) {
					var fc = ec / this.rd;
					var Tb = this.bc + fc;

					var hc = fc < 0.001 ?
						1.0 - this.bc : (1.0 - this.bc) / fc;

					var jc = [];

					while (Tb > 1.0) {
						var kc = cc + hc * Qb;

						if (Ab)
							ctx.ab(jc, Vb.Bb, Ab, hc);

						if (Mc)
							ctx.slerpq(currentEmitterRot, Vb.prevRotation, Mc, hc);

						Vb.Rb = kc;
						ctx.T(Vb.Ab, jc);
						Ld.Rb = ctx.X(systemTimeBeforeFrame, systemTimeAfterFrame, hc);

						// for the future when Jb would be external
						this.Lb = this.Jb;

						for (var Wb = 0; Wb < this.Jb; ++Wb) {
							if (Vb.sc.length == 0)
								break;

							if (this.Jb == 1)
								this.Kb = 0;
							else
								this.Kb = Wb / (this.Jb - 1);

							var Xb = Vb.sc.pop();
							Vb.tc.unshift(Xb);

							if (Wb == 0)
								Xb.Yb();
							else
								Xb.Zb();

							Xb.Id(Qb * (1.0 - hc));
							++ic;
						}

						hc += 1.0 / fc;
						Tb -= 1.0;
					}

					this.bc = Tb;
				}

				Vb.Rb = dc;

				if (Ab)
					ctx.T(Vb.Ab, Ab);

				if (Mc)
					ctx.U(Vb.Mc, Mc);

				return ic;
			}
		}

		// mc

		function mc() {
			this.Ab = [];
			this.Pd = [];
			this.Nd = [];
			this.gf = [];
			this.Kc = [];
		}

		mc.prototype = {
			nc: function () {
				this.oc = false;

				for (var i = 0; i < this.Kc.length; ++i) {
					var pc = this.Kc[i];
					pc.Bd.Jd(this.Ab, null);

					if (pc.Ad.sd)
						pc.Bd.disactivate();
				}
			},

			Yb: function () {
				Vb.we.fd(Vb, this); // IMPL
				this.nc();
			},

			Zb: function () {
				Vb.we.gd(Vb, this); // IMPL
				this.nc();
			},

			Id: function (Qb) {
				Vb.we.qc(Qb, Vb, this); // IMPL

				this.rc(Qb);
			},

			pc: function (je) {
				return this.Kc[je].Bd;
			},

			rc: function (Qb) {
				for (var i = 0; i < this.Kc.length; i++) {
					this.Kc[i].Bd.Id(Qb, this.Ab, null);
				}
			},

			uc: function (md, nd) {
				this.Kc.push({
					Bd: new ld(Ld, md, ve),
					Ad: nd
				});
			},

			vc: function (fe, xc, ge) {
				for (var i = 0; i < this.Kc.length; ++i) {
					var pc = this.Kc[i];

					if (xc == pc.Ad.xc)
						pc.Bd.Hd(fe, ge);
				}
			},

			Ce: function (xc, se, re, te, renderBuffer) {
				for (var i = 0; i < this.Kc.length; ++i) {
					var pc = this.Kc[i];

					if (xc == pc.Ad.xc)
						pc.Bd.ue(se, re, te, renderBuffer);
				}
			},

			wc: function (fe) {
				this.oc = true;
				for (var i = 0; i < this.Kc.length; ++i) {
					var pc = this.Kc[i];

					if (pc.Ad.sd)
						pc.Bd.activate();
					else
						pc.Bd.disactivate();
				}
			},

			yc: function (Gd) {
				for (var i = 0; i < this.Kc.length; ++i) {
					this.Kc[i].Bd.Ed(Gd);
				}
			}
		}

		// zc

		function zc() {
		}

		zc.prototype.Ac = function (Xb) {
			return Vb.we.Cc(Vb, Xb, this); // IMPL
		}

		// ld Ad

		this.Ab = [];
		this.Bb = [];
		this.Mc = [];
		this.prevRotation = [];
		this.tc = [];
		this.sc = [];
		this.Wc = new zc();
		this.construct = new ve(this.Ld, this);
		this.Yc = [];
		this.ad = [];

		this.dd = function () {
			this.vd = new Eb();
		}

		this.ed = function () {
			this.vd = new ac();
		}

		this.we.ud(this); // IMPL

		for (var Wb = 0; Wb < this.jd; ++Wb) {
			var Xb = new mc();

			for (var id = 0; id < this.Yc.length; ++id) {
				var hd = this.Yc[id];
				Xb.uc(hd.Db, hd.Ad);
			}

			this.sc.push(Xb);
		}

		this.Nb = function (Ab, Mc) {

			ctx.T(this.Ab, Ab ? Ab : [0, 0, 0]);
			ctx.T(this.Bb, this.Ab);
			ctx.U(this.Mc, Mc ? Mc : [0, 0, 0, 1]);
			ctx.U(this.prevRotation, this.Mc);

			this.Rb = 0.0;
			this.wd = 0.0;
			this.Zc = true;
			this.paused_ = false;
			this.generatorsPaused_ = false;
			ctx.W(this.ad, 0, 0, 0);
		}
	}

	ld.prototype.Jd = function (Ab, Mc) {
		this.Nb(Ab, Mc);

		this.sc.push.apply(this.sc, this.tc);
		this.tc.length = 0;

		this.vd.Jd();
	}

	ld.prototype.Id = function (Qb, Ab, Mc) {

		if (this.paused_)
		{
			this.Td(Ab, Mc);
			return;
		}

		this.wd = this.Rb;

		if (Ab) {
			ctx.T(this.Bb, this.Ab);
			if (Qb > 0.0001) {
				var shift = [];
				ctx.g(shift, Ab, this.Bb);
				ctx.T(this.ad, shift);
				ctx.w(this.ad, this.ad, Qb);
			}
			else {
				ctx.W(this.ad, 0, 0, 0);
			}
		}
		else {
			ctx.W(this.ad, 0, 0, 0);
		}

		if (Mc)
		{
			ctx.U(this.prevRotation, this.Mc);
		}

		var ic;

		if (this.Zc && !this.generatorsPaused_) {
			ic = this.vd.Id(Qb, Ab, Mc);
		}
		else {
			if (Ab)
				ctx.T(this.Ab, Ab);

			if (Mc)
				ctx.U(this.Mc, Mc);

			ic = 0;
			this.Rb += Qb;
		}

		for (var Wb = ic; Wb < this.tc.length;) {
			var Xb = this.tc[Wb];

			if (!Xb.oc) {
				Xb.Id(Qb);

				if (this.Wc.Ac(this.tc[Wb])) {
					Xb.wc();

					if (this.xd(Wb))
						continue;
				}
			}
			else {
				Xb.rc(Qb);

				if (this.xd(Wb))
					continue;
			}

			++Wb;
		}
	};

	ld.prototype.xd = function (je) {
		var Xb = this.tc[je];

		var ready = true;

		for (var id = 0; id < Xb.Kc.length; ++id) {
			var Bd = Xb.Kc[id].Bd;

			if (Bd.activated() || Bd.tc.length > 0) {
				ready = false;
				break;
			}
		}

		if (ready) {
			this.sc.push(this.tc[je]);
			this.tc.splice(je, 1);
			return true;
		}

		return false;
	}

	ld.prototype.Hd = function (fe, ge) {
		this.construct.Hd(fe, ge);
	}

	ld.prototype.ue = function (se, re, te, renderBuffer) {
		this.construct.ue(se, re, te, renderBuffer);
	}

	ld.prototype.Td = function (Ab, Mc) {
		this.wd = this.Rb;

		if (Ab) {
			ctx.T(this.Bb, this.Ab);
			ctx.T(this.Ab, Ab);
		}

		if (Mc) {
			ctx.U(this.prevRotation, this.Mc);
			ctx.U(this.Mc, Mc);
		}
	}

	ld.prototype.uc = function (md, nd) {
		this.Yc.push({ Db: md, Ad: nd });
	}

	ld.prototype./**/pause = function () {
		this.paused_ = true;
	}

	ld.prototype./**/unpause = function () {
		this.paused_ = false;
	}

	ld.prototype./**/paused = function () {
		return this.paused_;
	}

	ld.prototype./**/pauseGenerators = function () {
		this.generatorsPaused_ = true;
	}

	ld.prototype./**/unpauseGenerators = function () {
		this.generatorsPaused_ = false;
	}

	ld.prototype./**/generatorsPaused = function () {
		return this.generatorsPaused_;
	}

	ld.prototype.activate = function () {
		this.Zc = true;
	}

	ld.prototype.disactivate = function () {
		this.Zc = false;
	}

	ld.prototype.activated = function () {
		return this.Zc;
	}

	ld.prototype./**/getNumParticles = function () {
		return this.tc.length;
	}

	var ke = function () {
		var Cb = this;

		this._init = function (we, Ab, Mc, ve) {
			this./**/model = we;

			this.Ab = [];
			this.Mc = [];

			// ke Ad

			this.od = [];

			this.pd = function (md) {
				var Bd = new ld(this, md, ve);
				Bd.Nb(this.Ab, this.Mc);
				this["_".concat(md.name)] = Bd;
				this.od.push(Bd);
			}

			this.Nb = function (Ab, Mc) {
				this.Cd = 0.0;
				this.Rb = 0.0;
				ctx.T(this.Ab, Ab ? Ab : [0, 0, 0]);
				ctx.U(this.Mc, Mc ? Mc : [0, 0, 0, 1]);
			}

			this.Nb(Ab, Mc);
			this./**/model.qd(this); // IMPL
			this.zeroUpdate();
			this./**/update(this.Ud, Ab, Mc);
		}
	}

	ke.prototype./**/restart = function (/**/position, /**/rotation) {

		this.Nb(/**/position ? /**/position : this.Ab, /**/rotation ? /**/rotation : this.Mc);

		for (var i = 0; i < this.od.length; ++i) {
			this.od[i].Jd(this.Ab, this.Mc);
		}

		this.zeroUpdate();

		this./**/update(this.Ud, this.Ab, this.Mc);
	}

	ke.prototype.zeroUpdate = function () {
		for (var i = 0; i < this.od.length; ++i) {
			this.od[i].Id(0, this.Ab, this.Mc);
		}
	}

	ke.prototype./**/update = function (/**/dt, /**/position, /**/rotation) {
		var updatedTime = 0.0;
		var hc = [];
		ctx.T(hc, this.Ab);
		var frameRotation = [];
		ctx.U(frameRotation, this.Mc);

		if (/**/position && ctx.equalv3_(/**/position, this.Ab))
			/**/position = null;

		if (/**/rotation && ctx.equalq_(/**/rotation, this.Mc))
			/**/rotation = null;

		while ((/**/dt - updatedTime) + this.Cd >= this.Dd) {
			var cc = this.Rb;

			if (/**/position)
				ctx.ab(hc, this.Ab, /**/position, updatedTime / /**/dt);

			if (/**/rotation)
				ctx.slerpq(frameRotation, this.Mc, /**/rotation, updatedTime / /**/dt);

			for (var i = 0; i < this.od.length; ++i) {
				this.od[i].Id(this.Dd, hc, frameRotation);

				this.Rb = cc;
			}

			updatedTime += this.Dd - this.Cd;
			this.Cd = 0.0;
			this.Rb = cc + this.Dd;
		}

		if (/**/position)
			ctx.T(this.Ab, /**/position);

		if (/**/rotation)
			ctx.U(this.Mc, /**/rotation);

		this.Cd += /**/dt - updatedTime;
	}

	ke.prototype./**/resetPosition = function (/**/position, /**/rotation) {

		if (/**/position)
			ctx.T(this.Ab, /**/position);

		if (/**/rotation)
			ctx.U(this.Mc, /**/rotation);

		for (var i = 0; i < this.od.length; ++i) {
			this.od[i].Td(this.Ab, this.Mc);
		}
	}

	ke.prototype./**/setPropertyInAllEmitters = function (/**/name, /**/value) {
		var propName = "_".concat(/**/name);

		if (/**/value instanceof Array) {
			if (/**/value.length == 2) {
				for (var i = 0; i < this.od.length; ++i) {
					ctx.S(this.od[i][propName], /**/value);
				}
			}
			else {
				for (var i = 0; i < this.od.length; ++i) {
					ctx.T(this.od[i][propName], /**/value);
				}
			}
		}
		else {
			for (var i = 0; i < this.od.length; ++i) {
				this.od[i][propName] = /**/value;
			}
		}
	}

	ke.prototype./**/pauseAllEmitters = function() {
		for (var i = 0; i < this.od.length; ++i) {
			this.od[i]./**/pause();
		}
	}

	ke.prototype./**/unpauseAllEmitters = function () {
		for (var i = 0; i < this.od.length; ++i) {
			this.od[i]./**/unpause();
		}
	}

	ke.prototype./**/areAllEmittersPaused = function () {
		for (var i = 0; i < this.od.length; ++i) {
			if (!this.od[i].paused())
				return false;
		}
		return true;
	}

	ke.prototype./**/pauseGeneratorsInAllEmitters = function () {
		for (var i = 0; i < this.od.length; ++i) {
			this.od[i]./**/pauseGenerators();
		}
	}

	ke.prototype./**/unpauseGeneratorsInAllEmitters = function () {
		for (var i = 0; i < this.od.length; ++i) {
			this.od[i]./**/unpauseGenerators();
		}
	}

	ke.prototype./**/areGeneratorsInAllEmittersPaused = function () {
		for (var i = 0; i < this.od.length; ++i) {
			if (!this.od[i].generatorsPaused())
				return false;
		}
		return true;
	}

	ke.prototype./**/getNumParticles = function() {
		var numParticles = 0;

		for (var i = 0; i < this.od.length; ++i) {
			numParticles += this.od[i].getNumParticles();
		}

		return numParticles;
	}


	var le = function () {
		this._init = function (we, Ab, Mc, renderBuffer) {
			le.prototype._init.call(this, we, Ab, Mc, oe);

			this.texturesRemap = [];

			var indices = [];

			{
				var verDisp;
				for (var Wb = 0; Wb < this./**/model.Xe; ++Wb) {
					verDisp = Wb * 4;
					indices.push(verDisp + 0, verDisp + 3, verDisp + 1, verDisp + 1, verDisp + 3, verDisp + 2);
				}
			}

			this.renderBuffer = renderBuffer;
			this.renderBuffer.initialize(this./**/model.Xe * 4, [2], indices, this./**/model.Xe);
			this.renderBuffer.__numIndices = 0;
		}
	}

	le.prototype = new ke();

	le.prototype./**/fillGeometryBuffers = function (/**/cameraRight, /**/cameraUp, /**/cameraDir) {
		this.renderBuffer.cleanup();
		this.renderBuffer.__lastRenderCall = null;

		this.od.forEach(function (Bd) {
			Bd.ue(/**/cameraRight, /**/cameraUp, /**/cameraDir, this.renderBuffer);
		}, this);

		if (this.renderBuffer.__lastRenderCall)
			this.renderBuffer.pushRenderCall(this.renderBuffer.__lastRenderCall);
	}

	var me = function () {
		this._init = function (we, Ab, Mc) {
			me.prototype._init.call(this, we, Ab, Mc, ne);

			this.materials = [];
			this./**/model.materials.forEach(function (value) {
				this.materials.push(['source-over', 'lighter', 'multiply'][value]);
			}, this);

			this./**/textureDescs = [];
		}
	}

	me.prototype = new ke();

	me.prototype./**/draw = function (/**/context, /**/camera) {
		for (var i = 0; i < this.od.length; ++i) {
			this.od[i].Hd(/**/context, /**/camera);
		}
	}

	this.createWGLInstance = function (/**/position, /**/rotation, /**/renderBuffer) {
		var Ld = new le();
		Ld._init(this, /**/position, /**/rotation, /**/renderBuffer);
		return Ld;
	}

	this.createCanvas2DInstance = function (/**/position, /**/rotation) {
		var Ld = new me();
		Ld._init(this, /**/position, /**/rotation);
		return Ld;
	}
	this.textures = ['smoke01_white_blurred.png'];
	this.materials = [0];
	this.renderStyles = [{materialIndex:0,textureIndices:[0]}];
	this.Xe = 2000;

	function Emitter_DefaultEmitter() {

		var _s = [[1.99659, 1.94872], [3.99317, 1.94872], [5.98976, 3.89744], [3.99317, 3.89744], [1.99659, 3.89744], [3.99317, 5.84615], [7.98635, 5.84615], [5.98976, 1.94872], [9.98293, 5.84615], [7.98635, 3.89744], [9.98293, 3.89744], [9.98293, 9.74359], [5.98976, 5.84615], [7.98635, 9.74359]], _Srch, _ = [], _1, _1i0, _1s0 = [], _3 = [], _6, _8, _9, _10, _11, _11i0, _11s0 = [], _12, _13=[], _13a=[], _13i=[], _14, _15=[], _15fs=[], _15vs=[], _15rw=[], _15rwn=[], _15rwl, _15v=[], _15p=[], _15dtl, _15dtp, _15df, _15fsd=[], _16, _16i0, _16s0 = [], _17, _17i0, _17s0 = [];
		this.pe = [{xe:0,Rc:1,Sc:1,renderStyleIndex:0}];
		this.name = "DefaultEmitter";

		this.ud = function(Bd) {
			Bd.dd();
			Bd._1 = [
				[
					[-3,-1,-1]
				]
			];
			Bd._11 = [
				[
					[0,1,1]
				]
			];
			Bd._16 = [
				[
					[5.57921,10.292,13.5407,16.229,18.5514,20.5905,22.3899,23.9752,25.3625,26.562,27.5799,28.4196,29.0826,29.5683,29.8752,30,30]
				]
			];
			Bd._17 = [
				[
					[1,0.360368,0.180893,0.1075,0.0680683,0.0442753,0.029043,0.0189797,0.0122329,0.00769822,0.0046744,0.00269466,0.00143687,0.00067218,0.000234271,0,0]
				]
			];
			Bd.jd = 2000;
			Bd.Vc = 0;
		}

		this.Mb = function(vd) {
			vd.zb = 0.15;
			vd.Gb = 1;
			vd.Jb = 2000;
		}

		this.Pb = function(Qb, Bd, vd) {
			vd.zb = 0.15;
		}

		this.fd = function(Bd, Xb) {
			_Srch = this._f(Bd.vd.Kb * 826596);
			ctx.yb(_, 109 + (_Srch[0] % 293) * 1.99659, 263 + Math.floor(_Srch[0] / 293) * 1.94872, _s[_Srch[1]], Bd.Ld.rand);
			_1i0=(_[0]<100?100:(_[0]>700?700:_[0]));
			ctx.V(_1s0,0,(_1i0-100)*0.00166667);
			_1 = Db.nb(Bd._1[0][_1s0[0]],_1s0[1]);
			Xb._2 = _1;
			ctx.W(_3, _[0], _[1], 0);
			Xb._4 = [];
			ctx.T(Xb._4, _3);
			Xb._5 = [];
			ctx.T(Xb._5, [0,0,0]);
			_6 = 0 + Bd.Ld.rand() * (360 - 0);
			Xb._7 = _6;
			ctx.T(Xb.Ab, Xb._4);
		}

		this.gd = function(Bd, Xb) {
			_Srch = this._f(Bd.vd.Kb * 826596);
			ctx.yb(_, 109 + (_Srch[0] % 293) * 1.99659, 263 + Math.floor(_Srch[0] / 293) * 1.94872, _s[_Srch[1]], Bd.Ld.rand);
			_1i0=(_[0]<100?100:(_[0]>700?700:_[0]));
			ctx.V(_1s0,0,(_1i0-100)*0.00166667);
			_1 = Db.nb(Bd._1[0][_1s0[0]],_1s0[1]);
			Xb._2 = _1;
			ctx.W(_3, _[0], _[1], 0);
			Xb._4 = [];
			ctx.T(Xb._4, _3);
			Xb._5 = [];
			ctx.T(Xb._5, [0,0,0]);
			_6 = 0 + Bd.Ld.rand() * (360 - 0);
			Xb._7 = _6;
			ctx.T(Xb.Ab, Xb._4);
		}

		this.qc = function(Qb, Bd, Xb) {
			_8 = Xb._2 + Qb * 1;
			Xb._2 = _8;
			_9 = 1;
			_10 = (Xb._2 / _9);
			_11i0=(_10<0?0:(_10>0.1?0.1:_10));
			ctx.V(_11s0,0,(_11i0-0)*10);
			_11 = Db.nb(Bd._11[0][_11s0[0]],_11s0[1]);
			_12 = ctx.d(Xb._4, ctx.v([0, 0, 100], Bd.Rb));
			ctx.u(_13a, [0,0,0], Bd.Ld.Rb);
			ctx.c(_13a, _13a, _12);
			ctx.u(_13i, _13a, 1.0 / 500);
			ctx.xb(_13, _13i);
			ctx.k(_13, _13, [0.00585938,0.00585938,0.0078125]);
			ctx.c(_13, _13, [-1,-1,-1]);
			ctx.u(_13, _13, 1000);
			_14 = ctx.v(_13, _11);
			ctx.T(_15fs, _14);
			ctx.T(_15vs, [0,0,0]);
			ctx.u(_15v, _15fs, Qb);
			ctx.c(_15v, _15v, Xb._5);
			ctx.u(_15p, _15v, Qb);
			ctx.c(_15p, _15p, Xb._4);
			ctx.T(Xb._4, _15p);
			ctx.T(Xb._5, _15v);
			ctx.T(Xb.Ab, Xb._4);
			_9 = 1;
			_10 = (Xb._2 / _9);
			_16i0=(_10<0?0:(_10>0.7?0.7:_10));
			ctx.V(_16s0,0,(_16i0-0)*21.4286);
			_16 = Db.nb(Bd._16[0][_16s0[0]],_16s0[1]);
			_17i0=(_10<0?0:(_10>1?1:_10));
			ctx.V(_17s0,0,(_17i0-0)*15);
			_17 = Db.nb(Bd._17[0][_17s0[0]],_17s0[1]);
			ctx.S(Xb.Pd,[0.5,0.5]);
			Xb.Md = Xb._7;
			ctx.V(Xb.Nd,_16,_16);
			ctx.T(Xb.gf,[1,1,1]);
			Xb.Od = _17;
			Xb.Qc = 0;
		}

		this.Cc = function(Bd, Xb, Wc) {
			_9 = 1;
			return Xb._2 > _9;
		}

			this._f = function(i) {
				return i<416091?i<208134?i<115995?i<76763?i<42629?i<12475?i<8242?i<1252?i<112?[1176,0]:i<796?i<568?[1177,1]:[1179,0]:[1180,1]:i<1877?i<1627?i<1502?i<1377?[1469,0]:[1762,0]:[2055,0]:i<1752?[2348,0]:[2641,0]:i<5699?i<4169?i<3404?i<2896?i<2387?[1470,1]:i<2642?[1763,0]:[1764,0]:[1472,4]:[2056,7]:[1473,5]:i<7224?i<6716?i<6208?i<5953?[2349,0]:[2350,0]:[2642,1]:[2351,4]:i<7734?[2352,1]:[2645,1]:i<8444?i<8431?[1182,0]:[1183,0]:i<12465?i<10267?i<10209?i<9459?i<9355?i<8850?i<8698?[1475,0]:[1476,0]:i<9105?[1768,0]:[1769,0]:i<9357?[1477,0]:[1770,0]:i<9969?[2061,1]:[2063,0]:[2064,0]:i<11794?i<11285?i<10777?[2354,1]:[2647,1]:i<11540?[2356,0]:[2649,0]:i<12035?i<12009?[2357,0]:[2358,0]:i<12289?[2650,0]:[2651,0]:[2652,0]:i<26444?i<19453?i<13100?i<12850?i<12725?i<12600?[2934,0]:[3227,0]:[3520,0]:i<12975?[3813,0]:[4106,0]:i<16912?i<15386?[2935,12]:i<16403?i<15894?[2938,1]:i<16148?[3231,0]:[3232,0]:i<16657?[3524,0]:[3525,0]:i<18436?[3814,2]:i<18945?i<18690?[3817,0]:[3818,0]:[4110,1]:i<20078?i<19828?i<19703?i<19578?[4399,0]:[4692,0]:[4985,0]:i<19953?[5278,0]:[5571,0]:i<23894?i<22367?i<21602?[4400,2]:[4986,7]:i<23384?i<22875?[4403,1]:i<23129?[4696,0]:[4697,0]:[4989,1]:[5279,10]:i<35192?i<32565?i<30262?i<28736?i<27971?i<27462?i<26953?i<26699?[2940,0]:[2941,0]:i<27208?[3233,0]:[3234,0]:i<27716?[2942,0]:[3235,0]:[3526,7]:i<29754?i<29245?i<28991?[2943,0]:[2944,0]:i<29500?[3236,0]:[3237,0]:[3529,1]:i<31548?i<31039?i<30736?i<30485?[3819,0]:[3820,0]:i<30872?[4112,0]:[4113,0]:i<31294?[3821,0]:[4114,0]:i<32057?i<31803?[3822,0]:[3823,0]:[4115,1]:i<33550?i<33508?i<33023?i<32695?i<32693?[2945,0]:[2946,0]:i<32942?[3238,0]:[3239,0]:i<33278?[3531,0]:[3532,0]:[3533,0]:i<34567?i<34059?i<33805?[3824,0]:[3825,0]:[4117,1]:i<34783?i<34766?[3826,0]:[3827,0]:i<35037?[4119,0]:[4120,0]:i<37606?i<37196?i<35859?i<35727?i<35474?i<35342?i<35324?[4405,0]:[4406,0]:[4698,0]:i<35682?[4407,0]:[4700,0]:[4991,0]:i<36858?i<36367?[4408,1]:i<36604?[4701,0]:[4702,0]:i<36946?[4994,0]:[4995,0]:i<37460?i<37328?[5284,0]:[5577,0]:i<37601?[5288,0]:[5581,0]:i<40658?i<39133?i<38623?i<38114?[4410,1]:i<38369?[4703,0]:[4704,0]:[4996,1]:i<40148?i<39640?i<39387?[4412,0]:[4413,0]:[4705,1]:[4998,1]:i<41610?i<41166?i<40911?[5289,0]:[5290,0]:i<41356?[5582,0]:[5583,0]:i<42120?[5291,1]:i<42374?[5584,0]:[5585,0]:i<51633?i<51563?i<43988?i<43076?i<42848?[1194,0]:[1195,0]:i<43532?[1196,1]:[1198,1]:i<46483?i<45485?i<44986?i<44487?i<44233?[1487,0]:[1488,0]:i<44732?[1780,0]:[1781,0]:i<45231?[2073,0]:[2074,0]:i<45984?i<45730?[2366,0]:[2367,0]:i<46229?[2659,0]:[2660,0]:[1489,13]:i<51573?[1200,0]:i<51609?i<51597?i<51585?[1493,0]:[1786,0]:[2079,0]:i<51621?[2372,0]:[2665,0]:i<69186?i<59214?i<54134?i<53130?i<52631?i<52132?i<51878?[2952,0]:[2953,0]:i<52377?[3245,0]:[3246,0]:i<52876?[3538,0]:[3539,0]:i<53136?[4121,0]:i<53635?i<53381?[3831,0]:[3832,0]:i<53880?[4124,0]:[4125,0]:[2954,13]:i<64094?i<61621?i<60123?i<59621?i<59319?i<59318?[4414,0]:[4415,0]:i<59562?[4707,0]:[4708,0]:i<60097?i<59876?[5000,0]:[5001,0]:[5002,0]:i<61121?i<60622?i<60368?[4417,0]:[4418,0]:i<60867?[4710,0]:[4711,0]:i<61366?[5003,0]:[5004,0]:i<63081?i<62641?[5293,3]:i<62826?[5295,0]:[5588,0]:i<63585?i<63330?[5296,0]:[5297,0]:i<63840?[5589,0]:[5590,0]:i<67146?i<65620?i<65110?[4419,3]:[5005,1]:i<66636?[4421,3]:[5007,1]:[5298,9]:i<70941?i<69246?i<69222?i<69210?i<69198?[2958,0]:[3251,0]:[3544,0]:i<69234?[3837,0]:[4130,0]:i<69517?i<69248?[3550,0]:i<69261?[3259,0]:i<69328?[3551,0]:[3552,0]:i<69935?i<69620?i<69518?[3842,0]:[3843,0]:i<69692?[4135,0]:[4136,0]:i<70431?i<70176?[3844,0]:[3845,0]:[4137,1]:i<71709?i<71239?i<70977?i<70965?i<70953?[4423,0]:[4716,0]:[5009,0]:i<71076?i<70988?[4427,0]:[4720,0]:[5013,0]:i<71263?i<71251?[5302,0]:[5595,0]:i<71474?[5306,0]:[5599,0]:i<74723?i<73193?i<72683?i<72177?i<71922?[4428,0]:[4429,0]:i<72428?[4721,0]:[4722,0]:[5014,1]:[4430,5]:[5307,9]:i<91223?i<88276?i<83763?i<77388?i<77138?i<77013?i<76888?[5864,0]:[6157,0]:[6450,0]:i<77263?[6743,0]:[7036,0]:[5865,11]:i<84166?i<84138?i<84013?i<83888?[7329,0]:[7622,0]:[7915,0]:[8208,0]:i<87991?[7330,8]:i<88162?i<88105?[8209,1]:[8211,0]:[8212,1]:i<90798?i<88936?i<88672?i<88540?i<88408?[5870,0]:[6163,0]:[6456,0]:i<88804?[6749,0]:[7042,0]:i<90616?i<89246?i<89185?i<88961?[5875,0]:[5876,0]:[6169,0]:i<90255?i<89755?i<89500?[5877,0]:[5878,0]:i<90000?[6170,0]:[6171,0]:i<90364?[6463,0]:[6464,0]:i<90781?i<90620?[6756,0]:[6757,0]:[7050,0]:i<91194?i<91062?i<90930?[7335,0]:[7628,0]:[7921,0]:[8214,0]:i<108554?i<102625?i<97532?i<95041?i<93514?i<92749?i<92240?i<91731?[5879,1]:i<91985?[6172,0]:[6173,0]:i<92494?[5881,0]:[6174,0]:[6465,7]:i<94531?i<94023?i<93768?[5882,0]:[5883,0]:[6175,1]:[6468,1]:i<96515?i<96006?i<95549?[6758,1]:i<95752?[7051,0]:[7052,0]:i<96261?[6760,0]:[7053,0]:i<97024?i<96770?[6761,0]:[6762,0]:[7054,1]:i<100591?i<99062?[5884,5]:i<100081?i<99572?[5886,1]:i<99826?[6179,0]:[6180,0]:[6472,1]:i<101608?i<101100?i<100845?[6763,0]:[6764,0]:[7056,1]:i<102117?i<101862?[6765,0]:[6766,0]:[7058,1]:i<105269?i<105147?i<103623?i<103487?i<102986?i<102901?i<102670?[7344,0]:[7345,0]:[7638,0]:i<103240?[7346,0]:[7639,0]:i<103489?[7931,0]:[7932,0]:i<104640?i<104131?[7347,1]:i<104386?[7640,0]:[7641,0]:i<104893?[7933,0]:[7934,0]:i<105157?[8225,0]:i<105212?[8226,0]:[8227,0]:i<108326?i<106797?i<106287?i<105777?[7349,1]:[7642,1]:[7935,1]:i<107816?i<107306?i<107051?[7351,0]:[7352,0]:[7644,1]:[7937,1]:i<108440?[8228,1]:[8230,1]:i<114352?i<109308?i<109194?i<108590?i<108578?i<108566?[5888,0]:[6181,0]:[6474,0]:i<109034?i<108823?[5892,0]:[6185,0]:[6478,0]:i<109218?i<109206?[6767,0]:[7060,0]:i<109300?[6771,0]:[7064,0]:i<112368?[5893,6]:i<113332?i<112873?i<112618?[6772,0]:[6773,0]:i<113077?[7065,0]:[7066,0]:[6774,3]:i<114390?i<114388?i<114376?i<114364?[7353,0]:[7646,0]:[7939,0]:[8232,0]:i<115988?i<114770?i<114686?i<114449?[7358,0]:[7359,0]:[7652,0]:i<115765?i<115280?[7360,1]:i<115511?[7653,0]:[7654,0]:i<115816?[7946,0]:[7947,0]:[8240,0]:i<162183?i<141581?i<132691?i<124120?i<120440?i<117947?i<117088?i<116330?i<116171?i<116053?[3260,0]:[3261,0]:[3262,0]:i<116833?i<116578?[3553,0]:[3554,0]:[3555,0]:i<117437?i<117264?[3263,0]:[3264,0]:[3556,1]:i<119472?i<118967?[3846,3]:i<119222?[3848,0]:[4141,0]:i<119982?[3849,1]:i<120212?[4142,0]:[4143,0]:i<121638?i<121468?i<120726?i<120688?i<120589?[3265,0]:[3266,0]:[3267,0]:i<121236?[3558,1]:[3560,0]:i<121471?[3268,0]:i<121614?[3561,0]:[3562,0]:i<123159?i<122649?i<122148?[3851,1]:i<122395?[4144,0]:[4145,0]:[3853,4]:i<123610?i<123414?[3854,0]:[3855,0]:[4147,1]:i<127586?i<125507?i<125478?i<125158?i<125038?i<124624?i<124375?[4432,0]:[4433,0]:i<124879?[4725,0]:[4726,0]:i<125155?[4434,0]:[4727,0]:i<125413?[5018,0]:[5019,0]:i<125496?[4435,0]:[4436,0]:i<126808?i<126419?i<125909?i<125762?[5311,0]:[5312,0]:[5604,1]:i<126553?[5313,0]:[5606,0]:i<127076?[5314,1]:[5607,1]:i<130387?i<128857?i<128565?i<128057?i<127921?i<127680?[4437,0]:[4438,0]:[4731,0]:i<128312?[4439,0]:[4732,0]:i<128613?[5024,0]:[5025,0]:[4440,5]:i<131671?i<131170?i<130660?i<130521?[5316,0]:[5317,0]:[5609,1]:i<131416?[5318,0]:[5611,0]:[5319,3]:i<135277?i<132909?i<132720?[3856,0]:i<132898?[4149,0]:[4150,0]:i<133795?i<133185?i<132954?[3276,0]:[3569,0]:i<133285?[3277,1]:[3570,1]:i<134257?i<134026?[3862,0]:[4155,0]:[3863,3]:i<137876?i<136632?i<136086?i<136076?i<135623?i<135531?[4442,0]:[4443,0]:i<135878?[4735,0]:[4736,0]:[4737,0]:i<136592?i<136341?[5028,0]:[5029,0]:[5030,0]:i<137652?[5321,3]:i<137746?[5323,0]:[5616,0]:i<140099?i<138569?i<138338?i<138107?[4448,0]:[4741,0]:[5034,0]:[4449,5]:i<140561?i<140330?[5327,0]:[5620,0]:[5328,3]:i<149916?i<144831?i<144106?i<142526?i<142496?i<141731?i<141681?[3279,1]:[3281,0]:[3572,7]:i<142501?[3282,0]:[3575,0]:i<144056?[3865,2]:i<144081?[3868,0]:[4161,0]:i<144377?i<144150?[3287,0]:[3580,0]:i<144604?[3873,0]:[4166,0]:i<148781?i<147201?i<147126?[4451,12]:i<147176?i<147151?[4454,0]:[4747,0]:[5040,0]:i<148731?[5330,2]:i<148756?[5333,0]:[5626,0]:i<149462?i<149235?i<149008?[4459,0]:[4752,0]:[5045,0]:i<149689?[5338,0]:[5631,0]:i<155187?i<153976?i<151436?i<150828?i<150066?i<150016?[3288,1]:[3290,0]:[3581,7]:i<150928?[3291,1]:[3584,1]:[3874,10]:i<154429?i<154012?i<153982?[3293,0]:[3586,0]:i<154080?i<154030?[3295,0]:[3296,0]:i<154175?[3588,0]:[3589,0]:i<154489?i<154459?[3879,0]:[4172,0]:i<154838?i<154584?[3881,0]:[3882,0]:i<154933?[4174,0]:[4175,0]:i<161537?[4460,11]:i<162123?i<161627?i<161597?i<161567?[4465,0]:[4758,0]:[5051,0]:i<161976?i<161722?[4467,0]:[4468,0]:i<162016?[4760,0]:[4761,0]:i<162153?[5344,0]:[5637,0]:i<184342?i<177400?i<168929?i<165519?i<164574?i<163784?i<163492?i<163097?i<162693?[5897,1]:i<162948?[6190,0]:[6191,0]:i<163352?[5899,0]:[6192,0]:i<163747?[6483,0]:[6484,0]:i<164294?[5900,1]:[6193,1]:i<165498?i<165420?i<164936?i<164829?[6776,0]:[6777,0]:i<165191?[7069,0]:[7070,0]:[7071,0]:i<165510?[7072,0]:[7073,0]:i<167494?i<166704?i<166309?i<166029?[5902,1]:[6195,1]:i<166564?[5904,0]:[6197,0]:i<167214?[5905,1]:[6198,1]:i<168219?i<167864?i<167554?[6782,0]:i<167633?[7074,0]:[7075,0]:i<167964?[6783,0]:[7076,0]:i<168419?[6784,1]:[7077,1]:i<173329?i<172660?i<171196?i<170448?i<169949?[7362,3]:i<170193?[7364,0]:[7657,0]:i<170941?i<170687?[7948,0]:[7949,0]:[7950,0]:i<172150?i<171640?i<171419?[7365,0]:[7366,0]:[7658,1]:[7951,1]:i<172967?i<172814?i<172708?[8241,0]:[8242,0]:[8243,0]:i<173145?[8244,0]:[8245,0]:i<176976?i<175611?i<174847?i<174337?i<173827?i<173573?[7367,0]:[7368,0]:[7660,1]:[7369,4]:i<175357?[7953,1]:[7955,0]:i<176630?i<176121?[7370,1]:i<176376?[7663,0]:[7664,0]:i<176850?[7956,0]:[7957,0]:i<177369?i<177285?i<177145?[8246,0]:[8247,0]:[8248,0]:i<177399?[8249,0]:[8250,0]:i<182791?i<179230?i<178417?i<178190?i<177910?[5907,1]:[6200,1]:i<178335?[5909,0]:[6202,0]:i<179122?i<178617?[6786,1]:i<178872?[7079,0]:[7080,0]:i<179170?[6788,0]:[7081,0]:i<181446?i<179916?i<179692?i<179461?[5913,0]:[6206,0]:[6499,0]:[5914,5]:i<181772?i<181642?[6792,0]:[7085,0]:i<182282?[6793,1]:i<182536?[7086,0]:[7087,0]:i<183445?i<183426?i<183420?i<183210?i<183046?[7372,0]:[7373,0]:i<183394?[7665,0]:[7666,0]:[7374,0]:[7958,0]:i<183481?[7378,0]:i<184281?i<183963?i<183708?[7379,0]:[7380,0]:i<184047?[7672,0]:[7673,0]:i<184282?[7965,0]:[7966,0]:i<199169?i<191230?i<189055?i<186774?i<186637?[5916,12]:i<186694?i<186662?[5919,0]:[6212,0]:[6505,0]:i<188304?[6795,2]:i<188562?i<188510?[6798,0]:[6799,0]:i<188816?[7091,0]:[7092,0]:i<189797?i<189515?i<189282?[5924,0]:i<189287?[6216,0]:[6217,0]:i<189558?[6509,0]:[6510,0]:i<190295?i<189835?i<189802?[6800,0]:[6801,0]:i<190061?[7093,0]:[7094,0]:i<190723?i<190469?[6802,0]:[6803,0]:i<190976?[7095,0]:[7096,0]:i<195465?i<194967?i<193437?i<192760?[7381,2]:i<193183?i<192941?[7967,0]:[7968,0]:[7969,0]:[7384,5]:i<195136?i<195028?i<194977?[8260,0]:[8261,0]:[8262,0]:i<195288?[8263,0]:[8264,0]:i<198522?i<196995?[7386,5]:i<198013?i<197504?i<197250?[7388,0]:[7389,0]:i<197759?[7681,0]:[7682,0]:i<198268?[7974,0]:[7975,0]:i<198887?i<198707?[8265,0]:[8266,0]:i<199047?[8267,0]:[8268,0]:i<205531?i<205413?i<202975?i<201455?[5925,12]:i<202471?[5928,3]:i<202725?[6514,0]:[6515,0]:i<204499?[6804,2]:i<204981?i<204753?[6807,0]:[6808,0]:i<205235?[7100,0]:[7101,0]:i<205502?i<205473?i<205443?[5930,0]:[6223,0]:[6516,0]:i<205524?[6809,0]:[7102,0]:i<208049?i<207589?i<207048?i<206547?[7390,3]:i<206801?[7392,0]:[7685,0]:i<207499?i<207297?[7976,0]:[7977,0]:[7978,0]:i<208042?i<207910?i<207836?[7393,0]:[7394,0]:i<208037?[7686,0]:[7687,0]:[7979,0]:i<208115?[8269,0]:[8270,0]:i<315318?i<274887?i<246859?i<213214?i<211830?i<209608?i<208934?i<208331?i<208248?i<208165?[1832,0]:[1833,0]:[1834,0]:i<208680?i<208426?[2125,0]:[2126,0]:[2127,0]:i<209100?[1835,1]:[2128,1]:i<210814?i<210306?i<209957?i<209703?[2418,0]:[2419,0]:i<210052?[2711,0]:[2712,0]:[2420,4]:[2421,3]:i<212382?i<211966?i<211913?[1837,0]:[1838,0]:i<212220?[2130,0]:[2131,0]:i<212798?i<212636?[2423,0]:[2424,0]:i<213052?[2716,0]:[2717,0]:i<232742?i<223796?i<219277?i<216737?i<215213?i<214451?i<213943?i<213563?i<213309?[3004,0]:[3005,0]:i<213689?[3297,0]:[3298,0]:[3006,4]:[3590,7]:[3007,5]:[3883,10]:i<221438?i<220939?i<220177?i<220127?i<219693?i<219531?[3009,0]:[3010,0]:i<219947?[3302,0]:[3303,0]:[3304,0]:[3595,7]:i<221021?i<220989?[3305,0]:[3306,0]:i<221275?[3598,0]:[3599,0]:i<222962?[3888,2]:i<223379?i<223216?[3891,0]:[3892,0]:i<223633?[4184,0]:[4185,0]:i<229577?i<227355?i<225831?i<225228?i<224720?i<224304?[4469,1]:i<224466?[4762,0]:[4763,0]:[4471,4]:i<225577?i<225323?[5055,0]:[5056,0]:[5057,0]:[4472,5]:i<228561?i<228053?i<227704?i<227450?[5348,0]:[5349,0]:i<227799?[5641,0]:[5642,0]:[5350,4]:[5351,3]:i<231910?i<231317?i<230901?i<230540?i<230085?[4474,1]:i<230339?[4767,0]:[4768,0]:i<230794?[4476,0]:[4769,0]:i<231155?[5060,0]:[5061,0]:i<231734?i<231571?[4477,0]:[4478,0]:i<231841?[4770,0]:[4771,0]:i<232326?i<232164?[5353,0]:[5354,0]:i<232580?[5646,0]:[5647,0]:i<238003?i<235465?i<233761?i<233153?i<232809?i<232759?[3308,0]:[3309,0]:i<232899?[3601,0]:[3602,0]:i<233253?[3310,1]:[3603,1]:i<234449?i<233941?i<233851?[3894,0]:[4187,0]:[3895,4]:[3896,3]:i<236277?i<236073?i<235565?[3312,1]:[3605,1]:i<236106?[3314,0]:i<236273?[3607,0]:[3608,0]:i<237293?[3898,3]:i<237561?i<237461?[3900,0]:[3901,0]:i<237772?[4193,0]:[4194,0]:i<242263?i<240559?i<239035?i<238691?i<238183?i<238093?[4480,0]:[4773,0]:[4481,4]:i<238781?[5066,0]:[5067,0]:[4482,5]:i<241247?i<240739?i<240649?[5359,0]:[5652,0]:[5360,4]:[5361,3]:i<245267?i<243787?[4484,5]:i<244803?[4486,3]:i<245057?[5072,0]:[5073,0]:i<246283?[5363,3]:i<246617?i<246537?[5365,0]:[5366,0]:i<246836?[5658,0]:[5659,0]:i<254242?i<249513?i<247811?i<246914?i<246860?[686,0]:[687,0]:i<246961?i<246915?[978,0]:[1271,0]:i<247324?i<247083?[979,0]:[980,0]:i<247557?[1272,0]:[1273,0]:i<249377?i<247957?i<247949?i<247890?[1564,0]:[1857,0]:[2150,0]:i<248959?i<248463?i<248209?[1565,0]:[1566,0]:i<248705?[1858,0]:[1859,0]:i<249125?[2151,0]:[2152,0]:i<249396?[2444,0]:[2445,0]:i<251278?i<249703?i<249693?i<249615?[688,0]:[689,0]:[690,0]:i<251146?i<250713?i<250205?i<249956?[981,0]:[982,0]:[1274,1]:i<250893?[983,0]:[1276,0]:i<251165?[984,0]:[1277,0]:i<253872?i<253529?i<252802?[1567,2]:i<253310?[2153,1]:[2155,0]:i<253830?i<253694?[1570,0]:[1863,0]:[2156,0]:i<254241?i<254194?i<254047?[2446,0]:[2447,0]:[2448,0]:[2449,0]:i<263453?i<259142?i<257656?i<255297?i<254799?i<254293?i<254255?[3317,0]:[3318,0]:i<254563?i<254373?[3609,0]:[3610,0]:[3611,0]:i<254878?i<254847?[3319,0]:[3320,0]:i<255130?[3612,0]:[3613,0]:i<256810?i<256302?i<255794?i<255540?[3902,0]:[3903,0]:[4195,1]:[3904,4]:i<257233?i<257064?[3905,0]:[3906,0]:i<257487?[4198,0]:[4199,0]:i<258212?i<257747?i<257697?[3323,0]:[3324,0]:i<257958?[3616,0]:[3617,0]:i<258677?i<258423?[3909,0]:[3910,0]:i<258888?[4202,0]:[4203,0]:i<261128?i<260414?i<260381?i<260014?i<259650?[4488,1]:i<259874?[4781,0]:[4782,0]:i<260268?[4490,0]:[4783,0]:[5074,0]:i<261127?i<260837?i<260668?[4491,0]:[4492,0]:i<260985?[4784,0]:[4785,0]:[5078,0]:i<262523?i<262058?i<261593?i<261339?[4495,0]:[4496,0]:i<261804?[4788,0]:[4789,0]:i<262269?[5081,0]:[5082,0]:i<262988?i<262734?[5374,0]:[5375,0]:i<263199?[5667,0]:[5668,0]:i<267912?i<266848?i<264724?i<264365?i<263603?i<263553?[3325,1]:[3327,0]:[3618,7]:i<264424?i<264415?[3328,0]:[3329,0]:i<264678?[3621,0]:[3622,0]:i<266248?[3911,2]:i<266548?i<266502?[3914,0]:[3915,0]:i<266802?[4207,0]:[4208,0]:i<267246?i<266913?i<266863?[3332,0]:[3333,0]:i<266992?[3625,0]:[3626,0]:i<267579?i<267325?[3918,0]:[3919,0]:i<267658?[4211,0]:[4212,0]:i<273222?i<271098?i<270198?[4497,12]:i<270798?i<270498?i<270452?[4500,0]:[4501,0]:i<270752?[4793,0]:[4794,0]:i<271052?[5086,0]:[5087,0]:i<272622?[5376,2]:i<272922?i<272876?[5379,0]:[5380,0]:i<273176?[5672,0]:[5673,0]:i<274221?i<273888?i<273555?i<273301?[4504,0]:[4505,0]:i<273634?[4797,0]:[4798,0]:i<273967?[5090,0]:[5091,0]:i<274554?i<274300?[5383,0]:[5384,0]:i<274633?[5676,0]:[5677,0]:i<300022?i<287445?i<282522?i<280442?i<278220?i<276696?i<276093?i<275585?i<275236?i<274982?[5934,0]:[5935,0]:i<275331?[6227,0]:[6228,0]:[5936,4]:i<276442?i<276188?[6520,0]:[6521,0]:[6522,0]:[5937,5]:i<279426?i<278918?i<278569?i<278315?[6813,0]:[6814,0]:i<278664?[7106,0]:[7107,0]:[6815,4]:[6816,3]:i<281690?i<281274?i<280858?i<280696?[5939,0]:[5940,0]:i<281112?[6232,0]:[6233,0]:i<281528?[6525,0]:[6526,0]:i<282106?i<281944?[6818,0]:[6819,0]:i<282360?[7111,0]:[7112,0]:i<286104?i<285855?i<284331?i<283728?i<283220?i<282871?i<282617?[7399,0]:[7400,0]:i<282966?[7692,0]:[7693,0]:[7401,4]:i<284077?i<283823?[7985,0]:[7986,0]:[7987,0]:[7402,5]:i<285990?i<285933?i<285876?[8278,0]:[8279,0]:[8280,0]:[8281,1]:i<287352?i<286936?i<286520?i<286358?[7404,0]:[7405,0]:i<286774?[7697,0]:[7698,0]:i<287190?[7990,0]:[7991,0]:i<287409?[8283,0]:[8284,0]:i<295099?i<291705?i<290001?i<288477?i<288133?i<287625?i<287535?[5945,0]:[6238,0]:[5946,4]:i<288223?[6531,0]:[6532,0]:[5947,5]:i<290689?i<290181?i<290091?[6824,0]:[7117,0]:[6825,4]:[6826,3]:i<293749?i<293229?[5949,5]:i<293582?i<293414?i<293409?[5951,0]:[5952,0]:[6244,0]:[6537,0]:i<294765?[6828,3]:i<294932?[6830,0]:[7123,0]:i<297846?i<297655?i<296131?i<295787?i<295279?i<295189?[7410,0]:[7703,0]:[7411,4]:i<295877?[7996,0]:[7997,0]:[7412,5]:i<297732?i<297675?[8289,0]:[8290,0]:[8291,1]:i<299871?i<299370?[7414,5]:i<299704?i<299537?[7416,0]:[7709,0]:[8002,0]:i<299985?[8293,1]:[8295,0]:i<303846?i<302347?i<301417?i<300952?i<300487?i<300233?[5960,0]:[5961,0]:i<300698?[6253,0]:[6254,0]:i<301163?[6546,0]:[6547,0]:i<301882?i<301628?[6839,0]:[6840,0]:i<302093?[7132,0]:[7133,0]:i<303742?i<303277?i<302812?i<302558?[7425,0]:[7426,0]:i<303023?[7718,0]:[7719,0]:i<303488?[8011,0]:[8012,0]:i<303789?[8304,0]:[8305,0]:i<310821?i<309156?i<307032?i<306132?[5962,12]:i<306732?i<306432?i<306386?[5965,0]:[5966,0]:i<306686?[6258,0]:[6259,0]:i<306986?[6551,0]:[6552,0]:i<308556?[6841,2]:i<308856?i<308810?[6844,0]:[6845,0]:i<309110?[7137,0]:[7138,0]:i<310155?i<309822?i<309489?i<309235?[5969,0]:[5970,0]:i<309568?[6262,0]:[6263,0]:i<309901?[6555,0]:[6556,0]:i<310488?i<310234?[6848,0]:[6849,0]:i<310567?[7141,0]:[7142,0]:i<314245?i<314007?i<313107?[7427,12]:i<313707?i<313407?i<313361?[7430,0]:[7431,0]:i<313661?[7723,0]:[7724,0]:i<313961?[8016,0]:[8017,0]:i<314178?i<314121?[8306,1]:[8308,0]:i<314235?[8309,0]:[8310,0]:i<315244?i<314911?i<314578?i<314324?[7434,0]:[7435,0]:i<314657?[7727,0]:[7728,0]:i<314990?[8020,0]:[8021,0]:i<315261?[8313,0]:[8314,0]:i<367980?i<342341?i<329761?i<322253?i<319245?i<316747?i<316230?i<315468?i<315418?[3334,1]:[3336,0]:[3627,7]:i<316315?i<316280?[3337,0]:[3338,0]:i<316569?[3630,0]:[3631,0]:i<318271?[3920,2]:i<318737?i<318525?[3923,0]:[3924,0]:[4216,1]:i<320263?i<319517?i<319266?[3340,0]:i<319319?[3632,0]:[3633,0]:i<319757?i<319606?[3341,0]:[3342,0]:i<320009?[3634,0]:[3635,0]:i<321237?i<320729?i<320475?[3925,0]:[3926,0]:[4218,1]:[3927,3]:i<328439?i<326039?i<324539?[4506,12]:i<325555?[4509,3]:i<325809?[5095,0]:[5096,0]:i<327563?[5385,2]:i<328007?i<327817?[5388,0]:[5389,0]:i<328261?[5681,0]:[5682,0]:i<329753?i<329192?i<329154?i<328932?i<328692?[4511,0]:[4512,0]:i<329113?[4804,0]:[4805,0]:[5097,0]:i<329670?i<329425?[4513,0]:[4514,0]:i<329678?[4806,0]:[4807,0]:[5390,0]:i<334390?i<333959?i<331421?i<330988?i<330226?i<330102?i<329936?[3343,0]:[3344,0]:[3345,0]:[3636,7]:i<331045?i<331040?[3346,0]:[3347,0]:i<331284?[3639,0]:[3640,0]:i<332945?[3929,2]:i<333451?i<333199?[3932,0]:[3933,0]:[4225,1]:i<333973?[3641,0]:i<334109?i<334106?[3934,0]:[3935,0]:i<334344?[4227,0]:[4228,0]:i<340258?i<338058?i<336534?i<335889?i<335381?i<334898?[4515,1]:i<335127?[4808,0]:[4809,0]:[4517,4]:i<336280?i<336026?[5101,0]:[5102,0]:[5103,0]:[4518,5]:i<339242?i<338734?i<338403?i<338149?[5394,0]:[5395,0]:i<338480?[5687,0]:[5688,0]:[5396,4]:[5397,3]:i<341469?i<341037?i<340624?i<340512?[4520,0]:[4521,0]:i<340878?[4813,0]:[4814,0]:i<341291?[5106,0]:[5107,0]:i<341905?i<341723?[5399,0]:[5400,0]:i<342159?[5692,0]:[5693,0]:i<354209?i<346081?i<343014?i<342356?[3649,0]:i<342375?[4233,0]:i<342579?i<342404?[3941,0]:[3942,0]:i<342760?[4234,0]:[4235,0]:i<344051?i<343354?i<343036?[3358,0]:i<343145?[3650,0]:[3651,0]:i<343546?i<343422?[3359,0]:[3360,0]:i<343797?[3652,0]:[3653,0]:i<345065?i<344557?i<344303?[3943,0]:[3944,0]:[4236,1]:[3945,3]:i<350256?i<348370?i<346847?i<346483?i<346122?i<346082?[4525,0]:[4818,0]:i<346254?[4526,0]:[4819,0]:i<346593?[5111,0]:[5112,0]:i<347862?i<347354?i<347100?[4527,0]:[4528,0]:[4820,1]:[5113,1]:i<349240?i<348732?i<348538?[5404,0]:[5697,0]:[5405,4]:[5406,3]:i<352997?i<351780?[4529,5]:i<352741?i<352288?[4531,1]:i<352542?[4824,0]:[4825,0]:i<352961?[5117,0]:[5118,0]:i<354013?[5408,3]:i<354140?[5410,0]:[5703,0]:i<361125?i<358784?i<356244?i<355481?i<354719?i<354545?i<354369?[3361,0]:[3362,0]:[3363,0]:[3654,7]:i<355736?i<355632?[3364,0]:[3365,0]:[3657,1]:[3947,10]:i<359297?i<359245?i<358838?i<358830?[3366,0]:[3367,0]:i<359077?[3659,0]:[3660,0]:i<359295?[3661,0]:[3662,0]:i<360313?[3952,3]:i<360632?i<360543?[3954,0]:[3955,0]:i<360886?[4247,0]:[4248,0]:i<362985?i<362946?i<361936?i<361673?i<361602?i<361369?[4533,0]:[4534,0]:i<361664?[4826,0]:[4827,0]:i<361910?[4535,0]:[4828,0]:i<362814?i<362441?i<362187?[4536,0]:[4537,0]:i<362570?[4829,0]:[4830,0]:i<362816?[5122,0]:[5123,0]:i<362980?[5416,0]:[5709,0]:i<366033?[4538,6]:i<366964?i<366512?i<366258?[5417,0]:[5418,0]:i<366710?[5710,0]:[5711,0]:[5419,3]:i<390340?i<377791?i<373945?i<371559?i<370266?[5971,12]:i<371128?i<370697?i<370520?[5974,0]:[5975,0]:i<370951?[6267,0]:[6268,0]:i<371382?[6560,0]:[6561,0]:i<373083?[6850,2]:i<373514?i<373337?[6853,0]:[6854,0]:i<373768?[7146,0]:[7147,0]:i<377524?i<376231?[7436,12]:i<377093?i<376662?i<376485?[7439,0]:[7440,0]:i<376916?[7732,0]:[7733,0]:i<377347?[8025,0]:[8026,0]:i<377695?i<377638?[8315,1]:[8317,0]:i<377752?[8318,0]:[8319,0]:i<385421?i<383241?i<381061?i<379537?i<378955?i<378447?i<378119?i<377865?[5980,0]:[5981,0]:i<378193?[6273,0]:[6274,0]:[5982,4]:i<379283?i<379029?[6566,0]:[6567,0]:[6568,0]:[5983,5]:i<382225?i<381717?i<381389?i<381135?[6859,0]:[6860,0]:i<381463?[7152,0]:[7153,0]:[6861,4]:[6862,3]:i<384549?i<384113?i<383677?i<383495?[5985,0]:[5986,0]:i<383931?[6278,0]:[6279,0]:i<384367?[6571,0]:[6572,0]:i<384985?i<384803?[6864,0]:[6865,0]:i<385239?[7157,0]:[7158,0]:i<388935?i<388691?i<387167?i<386585?i<386077?i<385749?i<385495?[7445,0]:[7446,0]:i<385823?[7738,0]:[7739,0]:[7447,4]:i<386913?i<386659?[8031,0]:[8032,0]:[8033,0]:[7448,5]:i<388821?i<388764?i<388707?[8324,0]:[8325,0]:[8326,0]:[8327,1]:i<390243?i<389807?i<389371?i<389189?[7450,0]:[7451,0]:i<389625?[7743,0]:[7744,0]:i<390061?[8036,0]:[8037,0]:i<390300?[8329,0]:[8330,0]:i<402283?i<398452?i<394511?i<393086?i<391562?i<391202?i<390694?i<390531?[5990,0]:[6283,0]:[5991,4]:i<391308?[6576,0]:[6577,0]:[5992,5]:i<393496?i<393128?i<393126?[6869,0]:[7162,0]:i<393358?[6870,0]:[7163,0]:i<394004?[6871,1]:i<394257?[7164,0]:[7165,0]:i<396481?i<396035?[5994,5]:i<396229?i<396104?[5996,0]:[6289,0]:i<396447?[6582,0]:[6583,0]:i<397497?[6873,3]:i<397944?i<397751?[6875,0]:[6876,0]:[7168,1]:i<399159?i<398475?[7456,0]:i<399139?i<398918?i<398664?[7457,0]:[7458,0]:i<398954?[7750,0]:[7751,0]:[8044,0]:i<402036?i<400514?i<400174?i<399667?[7459,1]:i<399920?[7752,0]:[7753,0]:i<400297?[8045,0]:[8046,0]:i<401530?[7461,3]:i<401782?[8047,0]:[8048,0]:i<402065?i<402037?[8338,0]:[8339,0]:i<402146?[8340,0]:[8341,0]:i<409093?i<404101?i<402445?i<402320?i<402288?[6002,0]:[6295,0]:i<402321?[6587,0]:[6588,0]:i<403235?i<402979?i<402511?i<402503?[6877,0]:[6878,0]:i<402752?[7170,0]:[7171,0]:i<403003?[6879,0]:[7172,0]:i<403597?i<403356?[6880,0]:[6881,0]:i<403847?[7173,0]:[7174,0]:i<407061?i<405537?i<405030?i<404553?i<404299?[6003,0]:[6004,0]:i<404776?[6296,0]:[6297,0]:i<405283?[6589,0]:[6590,0]:[6005,5]:[6882,9]:i<413704?i<412903?[7463,8]:i<413438?i<413258?i<413074?[8342,0]:[8343,0]:[8344,0]:i<413594?[8345,0]:[8346,0]:i<416031?i<415137?i<414720?[7468,3]:i<414960?[8054,0]:[8055,0]:i<415969?i<415633?i<415391?[7470,0]:[7471,0]:i<415868?[7763,0]:[7764,0]:i<416028?[8056,0]:[8057,0]:i<416082?[8347,0]:[8348,0]:i<623552?i<522433?i<491790?i<460558?i<433572?i<421693?i<416943?i<416487?i<416259?[1325,0]:[1326,0]:[1327,1]:i<419793?i<418269?i<417827?i<417319?i<417131?[1618,0]:[1911,0]:[1619,4]:i<418015?[2204,0]:[2205,0]:[1620,5]:i<420677?i<420169?i<419981?[2497,0]:[2790,0]:[2498,4]:[2499,3]:i<423649?i<422833?i<422377?i<422149?[1329,1]:[1331,0]:[1332,1]:i<423284?i<423061?[1334,0]:[1335,0]:i<423488?[1336,0]:[1337,0]:i<429116?i<427459?[1622,8]:i<428747?i<428475?[2501,3]:i<428678?[2503,0]:[2796,0]:i<428931?[2504,0]:[2505,0]:i<432164?[1627,6]:i<432640?i<432588?i<432359?[2506,0]:[2507,0]:i<432597?[2799,0]:[2800,0]:i<433148?[2508,1]:i<433318?[2801,0]:[2802,0]:i<445383?i<438406?i<433656?i<433575?[3956,0]:[4249,0]:i<436506?i<434982?i<434540?i<434032?i<433844?[3083,0]:[3376,0]:[3084,4]:i<434728?[3669,0]:[3670,0]:[3085,5]:i<437390?i<436882?i<436694?[3962,0]:[4255,0]:[3963,4]:[3964,3]:i<440633?i<439526?i<439045?i<438658?i<438624?[4542,0]:[4543,0]:i<438912?[4835,0]:[4836,0]:i<439508?i<439299?[5128,0]:[5129,0]:[5130,0]:i<440524?i<440018?i<439780?[5421,0]:[5422,0]:i<440272?[5714,0]:[5715,0]:i<440571?[5423,0]:[5716,0]:i<443483?i<441959?i<441517?i<441009?i<440821?[4548,0]:[4841,0]:[4549,4]:i<441705?[5134,0]:[5135,0]:[4550,5]:i<444367?i<443859?i<443671?[5427,0]:[5720,0]:[5428,4]:[5429,3]:i<449597?i<448268?i<447114?i<446537?i<446399?[3087,3]:[3089,4]:i<447045?[3673,1]:[3675,0]:i<448130?[3966,3]:[3968,4]:i<448922?i<448729?i<448532?i<448306?[3094,0]:[3095,0]:i<448538?[3387,0]:[3388,0]:i<448733?[3680,0]:[3681,0]:i<448948?i<448926?[4264,0]:[4265,0]:i<449199?i<448979?[3973,0]:[3974,0]:i<449344?[4266,0]:[4267,0]:i<455675?i<453135?i<451810?i<451048?i<450613?[4552,3]:i<450794?[4554,0]:[4847,0]:[5138,7]:i<452627?i<452119?i<451964?[4555,0]:[4556,0]:[4848,1]:[5141,1]:[5431,10]:i<458600?i<457076?i<456568?i<456060?i<455844?[4557,0]:[4558,0]:[4850,1]:[5143,1]:[4559,5]:i<459614?i<459108?[5436,1]:i<459362?[5729,0]:[5730,0]:i<460122?[5438,1]:i<460358?[5731,0]:[5732,0]:i<465528?i<460672?i<460652?[1338,0]:[1339,0]:i<465503?i<463100?i<462726?i<461964?i<461642?i<461134?i<460922?[1631,0]:[1632,0]:[1924,1]:i<461725?[1633,0]:[1926,0]:[2217,7]:i<462825?i<462728?[1634,0]:[1927,0]:i<463052?[2220,0]:[2221,0]:i<464624?[2510,2]:i<465031?i<464878?[2513,0]:[2514,0]:i<465285?[2806,0]:[2807,0]:i<465504?[2515,0]:[2808,0]:i<477113?i<472097?i<471815?i<469319?i<467814?[3096,12]:i<468814?i<468309?i<468068?[3099,0]:[3100,0]:i<468563?[3392,0]:[3393,0]:i<469068?[3685,0]:[3686,0]:i<470843?[3975,2]:i<471339?i<471097?[3978,0]:[3979,0]:i<471593?[4271,0]:[4272,0]:i<472008?i<471939?i<471870?[3101,0]:[3394,0]:[3687,0]:i<472093?i<472064?[3980,0]:[4273,0]:[4276,0]:i<476088?i<475264?i<474381?i<473621?[4561,2]:i<474129?[5147,1]:[5149,0]:i<475118?i<474806?i<474635?[4564,0]:[4565,0]:i<475048?[4857,0]:[4858,0]:i<475261?[5150,0]:[5151,0]:i<476079?i<475944?i<475763?i<475518?[5440,0]:[5441,0]:i<475900?[5733,0]:[5734,0]:[5442,0]:[5443,0]:i<476531?i<476090?[4566,0]:i<476299?i<476145?[4569,0]:i<476146?[4861,0]:[4862,0]:i<476320?[5154,0]:[5155,0]:i<476811?i<476572?[5447,0]:[5448,0]:i<476861?[5740,0]:[5741,0]:i<483523?i<479926?i<477852?i<477241?i<477115?[3400,0]:i<477127?[3692,0]:[3693,0]:i<477375?i<477275?[3401,0]:[3402,0]:i<477598?[3694,0]:[3695,0]:i<478910?i<478406?i<478020?i<477867?[3984,0]:[3985,0]:i<478153?[4277,0]:[4278,0]:i<478656?[3986,0]:[4279,0]:[3987,3]:i<481491?i<480762?i<480254?i<480080?[3403,0]:[3404,0]:[3696,1]:i<480988?i<480912?[3405,0]:[3406,0]:i<481242?[3698,0]:[3699,0]:[3989,9]:i<489798?i<487319?i<485795?i<485033?i<484525?i<484017?i<483763?[4570,0]:[4571,0]:[4863,1]:[4572,4]:[5156,7]:[4573,5]:i<488843?[5449,2]:i<489334?i<489097?[5452,0]:[5453,0]:i<489588?[5745,0]:[5746,0]:i<491731?i<490971?i<490770?i<490306?[4575,1]:i<490559?[4868,0]:[4869,0]:i<490953?[5161,0]:[5162,0]:i<491479?[4577,1]:i<491608?[4870,0]:[4871,0]:i<491783?[5454,0]:[5747,0]:i<506706?i<501944?i<498785?i<494035?i<493381?i<492897?i<492788?i<492296?i<492044?[6007,0]:[6008,0]:i<492550?[6300,0]:[6301,0]:i<492849?[6009,0]:[6302,0]:i<493362?i<493151?[6593,0]:[6594,0]:[6595,0]:i<493774?i<493635?[6886,0]:[6887,0]:i<493997?[7179,0]:[7180,0]:i<496885?i<495361?i<494919?i<494411?i<494223?[6013,0]:[6306,0]:[6014,4]:i<495107?[6599,0]:[6600,0]:[6015,5]:i<497769?i<497261?i<497073?[6892,0]:[7185,0]:[6893,4]:[6894,3]:i<498881?i<498877?i<498876?[7472,0]:[7473,0]:[7765,0]:i<501731?i<500207?i<499765?i<499257?i<499069?[7478,0]:[7771,0]:[7479,4]:i<499953?[8064,0]:[8065,0]:[7480,5]:i<501830?i<501773?[8357,0]:[8358,0]:[8359,1]:i<504846?i<504837?i<503683?i<503677?i<503100?i<502960?[6017,3]:i<503031?[6019,0]:[6312,0]:i<503608?[6603,1]:[6605,0]:[6020,1]:i<504699?[6896,3]:[6898,4]:i<504843?[6022,1]:i<504845?[6024,0]:[6025,0]:i<506577?i<506000?i<505862?[7482,3]:[7484,4]:i<506508?[8068,1]:[8070,0]:i<506691?[8361,1]:[8363,0]:i<507727?i<507723?i<507515?i<507284?i<507006?i<506755?[6033,0]:[6034,0]:i<507046?[6326,0]:[6327,0]:i<507305?[6619,0]:[6620,0]:i<507668?i<507516?[6912,0]:[6913,0]:[7206,0]:[7499,0]:i<515961?i<514000?i<511475?i<510013?[6035,12]:i<510967?i<510477?i<510267?[6038,0]:[6039,0]:i<510731?[6331,0]:[6332,0]:[6624,1]:i<512984?i<512476?i<511983?[6914,1]:i<512222?[7207,0]:[7208,0]:[6916,4]:[6917,3]:i<514252?i<514057?i<514007?[6040,0]:[6333,0]:i<514235?[6626,0]:[6627,0]:i<515216?i<514708?i<514504?[6919,0]:[6920,0]:[7212,1]:i<515453?i<515337?[6921,0]:[6922,0]:[7214,1]:i<518783?i<518637?i<517142?i<517014?i<516510?i<516343?i<516091?[7500,0]:[7501,0]:i<516357?[7793,0]:[7794,0]:i<516764?[7502,0]:[7795,0]:i<517026?[8087,0]:[8088,0]:i<518158?[7503,3]:i<518383?[8089,0]:[8090,0]:i<518639?[8381,0]:i<518676?[8382,0]:[8383,0]:i<521829?i<520307?[7505,5]:i<521323?[7507,3]:i<521577?[8093,0]:[8094,0]:i<522176?i<521993?[8384,0]:[8385,0]:i<522338?[8386,0]:[8387,0]:i<583051?i<549546?i<537751?i<528655?i<525954?i<523486?i<522878?i<522479?i<522445?[3407,0]:[3409,0]:i<522704?i<522657?[3700,0]:[3701,0]:[3702,0]:i<522978?[3410,1]:[3703,1]:i<524938?i<524467?i<523959?i<523740?[3993,0]:[3994,0]:[4286,1]:i<524684?[3995,0]:[4288,0]:[3996,3]:i<526965?i<526562?i<526054?[3412,1]:[3705,1]:i<526628?i<526612?[3414,0]:[3415,0]:i<526882?[3707,0]:[3708,0]:i<527981?[3998,3]:i<528318?i<528235?[4000,0]:[4001,0]:i<528572?[4293,0]:[4294,0]:i<533526?i<532069?i<530545?i<530122?i<529614?i<529163?[4579,1]:i<529362?[4872,0]:[4873,0]:[4581,4]:i<530291?i<530133?[5165,0]:[5166,0]:[5167,0]:[4582,5]:i<532510?i<532103?i<532099?[5459,0]:[5752,0]:i<532328?[5460,0]:[5753,0]:[5461,3]:i<536061?i<535050?[4584,5]:i<535724?i<535387?i<535304?[4586,0]:[4587,0]:i<535641?[4879,0]:[4880,0]:i<535978?[5172,0]:[5173,0]:i<537077?[5463,3]:i<537414?i<537331?[5465,0]:[5466,0]:i<537668?[5758,0]:[5759,0]:i<542351?i<539103?i<538257?i<537834?i<537784?[3419,0]:[3420,0]:i<538003?[3712,0]:[3713,0]:i<538680?i<538426?[4005,0]:[4006,0]:i<538849?[4298,0]:[4299,0]:i<540319?i<539711?i<539203?[3421,1]:[3714,1]:i<539811?[3423,1]:[3716,1]:[4007,9]:i<544466?i<543620?i<543197?i<542774?i<542520?[4591,0]:[4592,0]:i<542943?[4884,0]:[4885,0]:i<543366?[5177,0]:[5178,0]:i<544043?i<543789?[5470,0]:[5471,0]:i<544212?[5763,0]:[5764,0]:[4593,13]:i<554626?i<553468?i<551110?i<550436?i<549765?i<549682?i<549599?[1969,0]:[1970,0]:[1971,0]:i<550182?i<549928?[2262,0]:[2263,0]:[2264,0]:i<550602?[1972,1]:[2265,1]:i<552452?i<551944?i<551527?i<551273?[2555,0]:[2556,0]:i<551690?[2848,0]:[2849,0]:[2557,4]:[2558,3]:i<553930?i<553582?i<553551?[1974,0]:[1975,0]:i<553836?[2267,0]:[2268,0]:i<554278?i<554184?[2560,0]:[2561,0]:i<554532?[2853,0]:[2854,0]:i<564275?i<560035?i<557609?i<555385?i<554867?i<554644?i<554643?[3425,0]:[3427,0]:i<554748?i<554732?[3718,0]:[3719,0]:[3720,0]:i<554932?i<554889?[3428,0]:[3429,0]:i<555141?[3721,0]:[3722,0]:i<556593?i<556086?i<555643?i<555485?[4011,0]:[4012,0]:i<555834?[4304,0]:[4305,0]:i<556339?[4013,0]:[4306,0]:[4014,3]:i<558513?i<558014?i<557674?i<557658?[3430,0]:[3431,0]:i<557926?[3723,0]:[3724,0]:i<558096?i<558046?[3432,0]:[3433,0]:i<558259?[3725,0]:[3726,0]:i<559201?i<558857?i<558767?[4016,0]:[4017,0]:i<559111?[4309,0]:[4310,0]:i<559618?i<559364?[4018,0]:[4019,0]:i<559781?[4311,0]:[4312,0]:i<563088?i<562669?i<561920?i<561502?i<561049?i<560543?[4597,1]:i<560797?[4890,0]:[4891,0]:i<561303?[4599,0]:[4892,0]:i<561912?i<561756?[5183,0]:[5184,0]:[5185,0]:i<562428?[4600,1]:i<562552?[4893,0]:[4894,0]:i<562924?i<562896?[5476,0]:[5477,0]:[5769,0]:i<563682?i<563432?i<563342?[4602,0]:[4603,0]:i<563602?[4895,0]:[4896,0]:i<564099?i<563845?[4604,0]:[4605,0]:i<564168?[4897,0]:[4898,0]:i<574337?i<570461?i<567921?i<566397?i<565635?i<565127?i<564692?i<564438?[3141,0]:[3142,0]:i<564873?[3434,0]:[3435,0]:[3143,4]:[3727,7]:[3144,5]:[4020,10]:i<572305?i<571697?i<571189?i<570809?i<570715?[3146,0]:[3147,0]:i<571063?[3439,0]:[3440,0]:[3732,1]:i<571797?[3441,1]:[3734,1]:[4025,9]:i<580361?i<578003?i<576479?i<575808?i<575300?i<574845?[4606,1]:i<575046?[4899,0]:[4900,0]:[4608,4]:i<576225?i<575971?[5192,0]:[5193,0]:[5194,0]:[4609,5]:i<579345?i<578837?i<578420?i<578166?[5485,0]:[5486,0]:i<578583?[5778,0]:[5779,0]:[5487,4]:[5488,3]:i<582355?i<581633?i<581285?i<580869?[4611,1]:i<581123?[4904,0]:[4905,0]:i<581539?[5197,0]:[5198,0]:i<582141?[4613,1]:[4906,1]:i<582703?i<582609?[5490,0]:[5491,0]:i<582957?[5783,0]:[5784,0]:i<610251?i<598417?i<592122?i<587897?i<585423?i<583899?i<583486?i<583083?i<583055?[6045,0]:[6338,0]:i<583264?[6046,0]:[6339,0]:i<583645?i<583495?[6630,0]:[6631,0]:[6632,0]:[6047,5]:i<586881?i<586373?i<585865?i<585614?[6923,0]:[6924,0]:[7216,1]:[6925,4]:[6926,3]:i<590432?i<589421?[6049,5]:i<590095?i<589758?i<589675?[6051,0]:[6052,0]:i<590012?[6344,0]:[6345,0]:i<590349?[6637,0]:[6638,0]:i<591448?[6928,3]:i<591785?i<591702?[6930,0]:[6931,0]:i<592039?[7223,0]:[7224,0]:i<595693?i<595521?i<593997?i<593569?i<593102?i<592630?[7509,1]:i<592884?[7802,0]:[7803,0]:i<593356?[7511,0]:[7804,0]:i<593823?i<593766?[8095,0]:[8096,0]:[8097,0]:[7512,5]:i<595579?i<595541?[8388,0]:[8390,0]:[8391,1]:i<598228?i<597217?[7514,5]:i<597891?i<597554?i<597471?[7516,0]:[7517,0]:i<597808?[7809,0]:[7810,0]:i<598145?[8102,0]:[8103,0]:i<598342?[8393,1]:i<598399?[8395,0]:[8396,0]:i<605612?i<600532?i<599686?i<599263?i<598840?i<598586?[6056,0]:[6057,0]:i<599009?[6349,0]:[6350,0]:i<599432?[6642,0]:[6643,0]:i<600109?i<599855?[6935,0]:[6936,0]:i<600278?[7228,0]:[7229,0]:[6058,13]:i<606975?i<606881?i<606458?i<606035?i<605781?[7521,0]:[7522,0]:i<606204?[7814,0]:[7815,0]:i<606627?[8107,0]:[8108,0]:i<606918?[8400,0]:[8401,0]:i<610023?[7523,6]:i<610137?[8402,1]:[8404,1]:i<610994?i<610711?i<610535?i<610447?i<610358?[6062,0]:[6355,0]:[6648,0]:i<610623?[6941,0]:[7234,0]:i<610975?i<610887?i<610799?[7527,0]:[7820,0]:[8113,0]:[8406,0]:i<618629?i<616889?i<614531?i<613007?i<612336?i<611828?i<611411?i<611157?[6071,0]:[6072,0]:i<611574?[6364,0]:[6365,0]:[6073,4]:i<612753?i<612499?[6657,0]:[6658,0]:[6659,0]:[6074,5]:i<615873?i<615365?i<614948?i<614694?[6950,0]:[6951,0]:i<615111?[7243,0]:[7244,0]:[6952,4]:[6953,3]:i<617933?i<617585?i<617237?i<617143?[6076,0]:[6077,0]:i<617491?[6369,0]:[6370,0]:i<617839?[6662,0]:[6663,0]:i<618281?i<618187?[6955,0]:[6956,0]:i<618535?[7248,0]:[7249,0]:i<622430?i<622166?i<620642?i<619971?i<619463?i<619046?i<618792?[7536,0]:[7537,0]:i<619209?[7829,0]:[7830,0]:[7538,4]:i<620388?i<620134?[8122,0]:[8123,0]:[8124,0]:[7539,5]:i<622316?i<622259?i<622202?[8415,0]:[8416,0]:[8417,0]:[8418,1]:i<623474?i<623126?i<622778?i<622684?[7541,0]:[7542,0]:i<623032?[7834,0]:[7835,0]:i<623380?[8127,0]:[8128,0]:i<623531?[8420,0]:[8421,0]:i<734232?i<690574?i<655579?i<630934?i<626267?i<624984?i<623688?i<623589?[809,0]:[810,0]:i<623991?i<623704?[1393,0]:i<623782?[1101,0]:[1394,0]:i<624476?i<624224?[1102,0]:[1103,0]:[1395,1]:i<625094?i<625074?[811,0]:[812,0]:i<626063?i<625555?i<625345?[1104,0]:[1105,0]:[1397,1]:i<626102?[1106,0]:[1399,0]:i<628710?i<628436?i<626916?i<626792?i<626317?i<626296?[1686,0]:[1979,0]:i<626566?[1687,0]:[1980,0]:i<626795?[2272,0]:[2273,0]:i<627932?[1688,3]:i<628182?[2274,0]:[2275,0]:i<628445?[2566,0]:i<628539?[2567,0]:[2568,0]:i<630702?i<630133?i<629726?[1690,3]:i<629944?[1692,0]:[1985,0]:i<630625?i<630387?[2276,0]:[2277,0]:[2278,0]:i<630932?i<630863?[2569,0]:[2570,0]:[2571,0]:i<643888?i<636118?i<633366?i<631844?i<631236?i<630983?i<630952?[3443,0]:[3445,0]:i<631078?[3736,0]:[3738,0]:i<631336?[3446,1]:[3739,1]:i<632350?i<632034?i<631939?[4029,0]:[4322,0]:[4031,4]:[4032,3]:i<634396?i<634278?i<633516?i<633466?[3448,1]:[3450,0]:[3741,7]:i<634297?[3451,0]:[3744,0]:i<635920?[4034,2]:i<636019?[4037,0]:[4330,0]:i<639583?i<638251?i<636727?i<636569?i<636253?i<636213?[4615,0]:[4908,0]:[4617,4]:[5203,0]:[4618,5]:i<638567?[5496,4]:[5497,3]:i<642166?i<641869?[4620,12]:i<642067?i<641968?[4623,0]:[4916,0]:[5209,0]:i<643690?[5499,2]:i<643789?[5502,0]:[5795,0]:i<647514?i<644468?i<643897?[3750,0]:i<643904?[4334,0]:i<644068?i<643919?[4042,0]:[4043,0]:i<644214?[4335,0]:[4336,0]:i<645486?i<644785?i<644488?[3459,0]:i<644581?[3751,0]:[3752,0]:i<644981?i<644853?[3460,0]:[3461,0]:i<645232?[3753,0]:[3754,0]:i<646498?i<645990?i<645736?[4044,0]:[4045,0]:[4337,1]:[4046,3]:i<651450?i<649657?i<648136?i<647821?i<647528?[4919,0]:i<647615?[4627,0]:[4920,0]:i<647882?[5212,0]:[5213,0]:i<649149?i<648641?i<648387?[4628,0]:[4629,0]:[4921,1]:[5214,1]:i<650434?i<649926?i<649777?[5505,0]:[5798,0]:[5506,4]:[5507,3]:i<654277?i<652974?[4630,5]:i<653968?i<653482?[4632,1]:i<653736?[4925,0]:[4926,0]:i<654211?[5218,0]:[5219,0]:i<655293?[5509,3]:i<655465?[5511,0]:[5804,0]:i<668497?i<656822?i<656087?i<655793?i<655646?[540,0]:[833,0]:i<655940?[1126,0]:[1419,0]:i<656528?i<656381?i<656234?[1712,0]:[2005,0]:[2298,0]:i<656675?[2591,0]:[2884,0]:i<661597?i<661217?i<658677?i<657935?i<657173?i<657056?[541,1]:[543,0]:[834,7]:i<658169?[544,1]:[837,1]:[1127,10]:i<661377?i<661267?[546,0]:[839,0]:i<661487?[1132,0]:[1425,0]:i<667947?[1713,11]:i<668277?i<668167?i<668057?[1718,0]:[2011,0]:[2304,0]:i<668387?[2597,0]:[2890,0]:i<676442?i<674032?i<672988?i<670448?i<669766?i<669004?i<668838?i<668661?[3462,0]:[3463,0]:[3464,0]:[3755,7]:i<669948?i<669890?[3465,0]:[3466,0]:i<670202?[3758,0]:[3759,0]:[4048,10]:i<673526?i<673085?i<672997?[3467,0]:[3760,0]:i<673379?i<673232?[3177,0]:[3470,0]:[3763,0]:i<673738?i<673632?[4053,0]:[4346,0]:i<673885?[4056,0]:[4349,0]:i<675518?i<674881?i<674644?i<674518?i<674282?[4634,0]:[4635,0]:i<674620?[4927,0]:[4928,0]:i<674876?[4636,0]:[4929,0]:i<675371?i<675119?[4637,0]:[4638,0]:i<675405?[4930,0]:[4931,0]:i<676148?i<675707?i<675624?[4639,0]:[4932,0]:i<676001?i<675854?[4642,0]:[4935,0]:[5228,0]:i<676295?[5521,0]:[5814,0]:i<683342?i<682792?[3178,11]:i<683122?i<683012?i<682902?[3183,0]:[3476,0]:[3769,0]:i<683232?[4062,0]:[4355,0]:i<689692?[4643,11]:i<690102?i<690022?i<689912?i<689802?[4648,0]:[4941,0]:[5234,0]:i<690037?i<690023?[4651,0]:[4944,0]:[5237,0]:i<690322?i<690212?[5527,0]:[5820,0]:i<690436?[5530,0]:[5823,0]:i<714865?i<703132?i<698209?i<693904?i<692572?i<691048?i<690890?[6082,4]:[6668,0]:[6083,5]:i<692888?[6961,4]:[6962,3]:i<696487?i<696190?[6085,12]:i<696388?i<696289?[6088,0]:[6381,0]:[6674,0]:i<698011?[6964,2]:i<698110?[6967,0]:[7260,0]:i<700356?i<700207?i<698683?i<698525?[7547,4]:[8133,0]:[7548,5]:i<700242?[8426,0]:[8427,1]:i<702939?i<702642?[7550,12]:i<702840?i<702741?[7553,0]:[7846,0]:[8139,0]:i<703110?i<703053?[8429,1]:[8431,0]:[8432,0]:i<711194?i<707076?i<705750?i<704226?i<703910?i<703402?i<703281?[6091,0]:[6384,0]:[6092,4]:i<703972?[6677,0]:[6678,0]:[6093,5]:i<706063?i<705765?[6970,0]:i<705973?[6971,0]:[7264,0]:i<706571?[6972,1]:i<706822?[7265,0]:[7266,0]:i<709188?i<708600?[6095,5]:i<708884?i<708714?[6097,0]:[6390,0]:i<709125?[6683,0]:[6684,0]:i<710204?[6974,3]:i<710686?i<710458?[6976,0]:[6977,0]:[7269,1]:i<711789?i<711202?[7557,0]:i<711779?i<711607?i<711353?[7558,0]:[7559,0]:i<711624?[7851,0]:[7852,0]:[8145,0]:i<714632?i<713111?i<712802?i<712297?[7560,1]:i<712548?[7853,0]:[7854,0]:i<712902?[8146,0]:[8147,0]:i<714127?[7562,3]:i<714378?[8148,0]:[8149,0]:i<714654?[8440,0]:i<714729?[8441,0]:[8442,0]:i<722558?i<717241?i<716319?i<715694?i<715463?i<714983?i<714961?[6978,0]:[6979,0]:i<715232?[7271,0]:[7272,0]:i<715468?[6980,0]:[7273,0]:i<715834?i<715726?[6981,0]:[6982,0]:i<716068?[7274,0]:[7275,0]:i<716760?i<716613?i<716466?[6107,0]:[6400,0]:[6693,0]:i<716947?i<716841?[6983,0]:[7276,0]:i<717094?[6986,0]:[7279,0]:i<721771?i<721045?i<719527?[7564,12]:i<720543?[7567,3]:i<720797?[8153,0]:[8154,0]:i<721574?i<721401?i<721217?[8443,0]:[8444,0]:[8445,0]:i<721706?[8446,0]:[8447,0]:i<722515?i<722074?i<721983?i<721877?[7569,0]:[7862,0]:[8155,0]:i<722368?i<722221?[7572,0]:[7865,0]:[8158,0]:i<722526?[8448,0]:[8451,0]:i<729783?i<728908?[6108,11]:i<729549?i<729238?i<729128?i<729018?[6113,0]:[6406,0]:[6699,0]:i<729487?i<729373?[6116,0]:[6409,0]:[6702,0]:i<729769?i<729659?[6992,0]:[7285,0]:i<729782?[6995,0]:[7288,0]:i<733878?i<733593?[7573,8]:i<733764?i<733707?[8452,1]:[8454,0]:[8455,1]:i<734208?i<734098?i<733988?[7578,0]:[7871,0]:[8164,0]:[8457,0]:i<780530?i<760801?i<748722?i<740009?i<736415?i<734681?i<734259?[3775,0]:i<734300?i<734262?[3483,0]:[3484,0]:i<734448?[3776,0]:[3777,0]:i<735399?i<734938?i<734720?[4067,0]:i<734737?[4359,0]:[4360,0]:i<735145?[4068,0]:[4361,0]:[4069,3]:i<738022?i<737165?i<736657?i<736511?[3485,0]:[3486,0]:[3778,1]:i<737514?i<737337?[3487,0]:[3488,0]:[3780,1]:i<739038?[4071,3]:i<739546?[4073,1]:i<739783?[4366,0]:[4367,0]:i<746203?i<743663?i<742139?i<741377?i<740869?i<740388?i<740134?[4652,0]:[4653,0]:i<740615?[4945,0]:[4946,0]:[4654,4]:[5238,7]:[4655,5]:[5531,10]:i<747111?i<747065?i<746902?i<746642?i<746457?[4657,0]:[4658,0]:i<746877?[4950,0]:[4951,0]:[5243,0]:i<747106?[4659,0]:[4660,0]:i<747946?i<747438?i<747304?[5536,0]:[5537,0]:[5829,1]:i<748214?[5538,1]:[5831,1]:i<752960?i<752589?i<750081?i<749821?i<749064?i<749006?i<748884?[3489,0]:[3490,0]:[3491,0]:i<749572?[3782,1]:[3784,0]:i<749833?[3492,0]:i<750021?[3785,0]:[3786,0]:i<751589?i<751081?i<750589?[4075,1]:i<750827?[4368,0]:[4369,0]:[4077,4]:i<752081?i<751843?[4078,0]:[4079,0]:[4371,1]:i<752674?[4080,0]:i<752911?[4373,0]:[4374,0]:i<757720?i<755469?i<753945?i<753751?i<753249?i<753206?i<753007?[4661,0]:[4662,0]:[4955,0]:i<753503?[4663,0]:[4956,0]:i<753755?[5248,0]:[5249,0]:[4664,5]:i<756704?i<756245?i<755737?[5540,1]:[5833,1]:i<756450?[5542,0]:[5835,0]:[5543,3]:i<759365?i<759173?i<758665?i<758161?i<757974?[4666,0]:[4667,0]:i<758415?[4959,0]:[4960,0]:[5252,1]:i<759230?i<759175?[4668,0]:[4961,0]:[5254,0]:i<760381?[5545,3]:i<760573?[5547,0]:[5840,0]:i<772718?i<764931?i<761613?i<760854?[3795,0]:i<760862?[4379,0]:i<761151?i<760918?[4087,0]:[4088,0]:i<761359?[4380,0]:[4381,0]:i<762900?i<762116?i<761682?i<761625?[3503,0]:[3504,0]:i<761868?[3796,0]:[3797,0]:i<762392?i<762234?[3505,0]:[3506,0]:[3798,1]:i<763916?[4089,3]:i<764424?[4091,1]:i<764678?[4384,0]:[4385,0]:i<767829?i<766771?i<765247?i<765123?i<765002?[4672,0]:[4965,0]:[5258,0]:[4673,5]:i<766859?i<766851?[5551,0]:[5844,0]:i<767367?[5552,1]:i<767575?[5845,0]:[5846,0]:i<770686?i<769353?[4675,5]:i<770196?i<769802?i<769607?[4677,0]:[4678,0]:i<770056?[4970,0]:[4971,0]:i<770450?[5263,0]:[5264,0]:[5554,9]:i<777767?i<777164?i<774697?i<773991?i<773229?i<773070?i<772895?[3507,0]:[3508,0]:[3509,0]:[3800,7]:i<774189?i<774116?[3510,0]:[3511,0]:[3803,1]:i<776153?i<775664?i<775205?[4093,1]:i<775438?[4386,0]:[4387,0]:i<775918?[4095,0]:[4388,0]:i<776661?[4096,1]:i<776913?[4389,0]:[4390,0]:i<777481?i<777200?i<777196?[3512,0]:[3513,0]:i<777425?[3805,0]:[3806,0]:i<777693?i<777687?[4098,0]:[4099,0]:[4391,0]:i<780460?i<778268?i<778003?i<777833?i<777799?i<777794?[4679,0]:[4680,0]:[4681,0]:i<777995?i<777947?[5265,0]:[5266,0]:[5267,0]:i<778266?i<778108?[4682,0]:[4683,0]:[5268,0]:i<779770?i<779284?[5558,3]:i<779516?[5560,0]:[5853,0]:i<779963?i<779925?[5561,0]:[5562,0]:i<780217?[5854,0]:[5855,0]:[5856,0]:i<805188?i<794735?i<789093?i<786706?i<784340?[6117,8]:i<785690?i<785182?i<784815?i<784561?[6996,0]:[6997,0]:i<784928?[7289,0]:[7290,0]:[6998,4]:[6999,3]:i<788469?i<787681?i<787547?i<787214?[6122,1]:i<787407?[6415,0]:[6416,0]:[6708,0]:i<788189?[6124,1]:[6417,1]:i<789062?i<788674?i<788670?[7001,0]:[7002,0]:i<788925?[7294,0]:[7295,0]:i<789089?[7296,0]:[7297,0]:i<791175?i<791145?i<789783?i<789764?i<789321?i<789292?i<789106?[7582,0]:[7583,0]:[7876,0]:i<789575?[7584,0]:[7877,0]:[8170,0]:i<790799?[7585,3]:i<790925?[8171,0]:[8172,0]:[8465,0]:i<794160?i<792697?i<792189?i<791681?i<791429?[7587,0]:[7588,0]:[7880,1]:[8173,1]:i<793652?i<793144?i<792925?[7589,0]:[7590,0]:[7882,1]:[8175,1]:i<794380?i<794242?[8466,0]:[8467,0]:i<794551?[8468,0]:[8469,0]:i<800123?i<798009?i<796705?i<795917?i<795523?i<795243?[6126,1]:[6419,1]:i<795777?[6128,0]:[6421,0]:i<796425?[6129,1]:[6422,1]:i<797301?i<796947?i<796727?[7006,0]:i<796766?[7298,0]:[7299,0]:i<797047?[7007,0]:[7300,0]:i<797501?[7008,1]:[7301,1]:i<799175?i<798797?i<798517?[6131,1]:[6424,1]:i<799039?[6133,0]:[6426,0]:i<799883?i<799375?[7010,1]:[7303,1]:i<799970?[7012,0]:[7305,0]:i<804311?i<803818?i<802388?i<801626?i<801118?i<800610?i<800356?[7591,0]:[7592,0]:[7884,1]:[7593,4]:[8177,7]:i<803404?[7594,3]:i<803644?[8180,0]:[8181,0]:i<804255?i<804149?i<803994?[8470,0]:[8471,0]:[8472,0]:i<804305?[8473,0]:[8474,0]:i<805152?i<805104?i<804797?i<804565?[7596,0]:[7597,0]:i<805027?[7889,0]:[7890,0]:[8182,0]:[7598,0]:i<814757?i<808856?i<806264?i<805396?i<805392?i<805215?[6138,0]:[6139,0]:[6432,0]:i<805466?i<805398?[7016,0]:[7309,0]:i<805758?i<805627?[7017,0]:[7018,0]:i<806010?[7310,0]:[7311,0]:i<807817?i<806914?i<806771?i<806517?[6140,0]:[6141,0]:i<806809?[6433,0]:[6434,0]:i<807802?i<807422?[6142,1]:i<807582?[6435,0]:[6436,0]:i<807804?[6728,0]:[6729,0]:i<808376?i<807902?i<807880?[7019,0]:[7020,0]:i<808145?[7312,0]:[7313,0]:i<808400?i<808380?[7021,0]:[7022,0]:i<808626?[7314,0]:[7315,0]:i<811067?i<810982?i<809508?i<809369?i<808925?i<808860?[7601,0]:[7894,0]:i<809117?[7602,0]:[7895,0]:i<809389?[8187,0]:[8188,0]:i<810524?[7603,3]:i<810732?[8189,0]:[8190,0]:i<811002?[8482,0]:[8483,0]:i<814115?[7605,6]:i<814398?i<814235?[8484,0]:[8485,0]:i<814579?[8486,0]:[8487,0]:i<822585?i<820958?i<818490?i<816966?i<816281?[6144,2]:i<816712?i<816458?[6730,0]:[6731,0]:[6732,0]:[6147,5]:i<819942?i<819434?i<818928?i<818674?[7023,0]:[7024,0]:i<819180?[7316,0]:[7317,0]:[7025,4]:[7026,3]:i<821918?i<821545?i<821205?i<821191?[6149,0]:[6150,0]:i<821459?[6442,0]:[6443,0]:i<821799?[6735,0]:[6736,0]:i<822279?i<822172?[7028,0]:[7029,0]:i<822533?[7321,0]:[7322,0]:i<826364?i<826040?i<824857?i<824109?[7609,2]:i<824617?[8195,1]:[8197,0]:i<825837?i<825365?[7612,1]:i<825619?[7905,0]:[7906,0]:i<826005?[8198,0]:[8199,0]:i<826358?i<826308?i<826198?[8488,0]:[8489,0]:[8490,0]:[8491,0]:i<826558?i<826555?[7614,0]:[7615,0]:[7907,0];
			}

	}

	this.qd = function(Ld) {
		Ld.Dd = 0.0333333;
		Ld.Ud = 0;
		Ld.rand = function() { return Math.random(); };
		Ld.pd(new Emitter_DefaultEmitter());
	}
		this.nb = function(funcValues, je) { 			var indexInt = Math.floor(je); 			var nextInt = indexInt + 1; 			return ctx.X(funcValues[indexInt], funcValues[nextInt], je - indexInt); 		}

}